
#include <dklogc.h>
#include <dkapp.h>

#include <stdio.h>

#if DK_HAVE_STDLIB_H
#include <stdlib.h>
#endif

dk_app_t *app = NULL;

static int success = 0;

static char *messages[7];

static dk_string_finder_t finder[] = {
  { "/msg/pan",   &(messages[0]), "Test panic message!" },
  { "/msg/fat", &(messages[1]), "Test fatal error message!" },
  { "/msg/err", &(messages[2]), "Test error message." },
  { "/msg/wrn",  &(messages[3]), "Test warning message." },
  { "/msg/inf",  &(messages[4]), "Test informational message." },
  { "/msg/prg", &(messages[5]), "Test progress message." },
  { "/msg/dbg", &(messages[6]), "Test debug message." },
  { NULL, NULL, NULL }
};

static char *an_array_of_strings[] = {
  "Jim ",
  "and Joe",
  " are drinking beer.",
};

int main(int argc, char *argv[])
{
  app = dkapp_open(argc, argv);
  if(app) {
    dkapp_find_multi(app, finder, "h04msg");
    dkapp_log_msg(app, DK_LOG_LEVEL_PANIC, &(messages[0]), 1);
    dkapp_log_msg(app, DK_LOG_LEVEL_FATAL, &(messages[1]), 1);
    dkapp_log_msg(app, DK_LOG_LEVEL_ERROR, &(messages[2]), 1);
    dkapp_log_msg(app, DK_LOG_LEVEL_WARNING, &(messages[3]), 1);
    dkapp_log_msg(app, DK_LOG_LEVEL_INFO, &(messages[4]), 1);
    dkapp_log_msg(app, DK_LOG_LEVEL_PROGRESS, &(messages[5]), 1);
    dkapp_log_msg(app, DK_LOG_LEVEL_DEBUG, &(messages[6]), 1);
    dkapp_log_msg(app, DK_LOG_LEVEL_INFO, an_array_of_strings, 3);
    success = 1;
    dkapp_close(app); app = NULL;
  }
  success = (success ? 0 : 1);
  exit(success);
  return success;
}

