#
# START OF CONFIGURATION SECTION.
#
# You may need to customize this section.
#

# does xcopy need a special option to overwrite
# files without prompting
XCOPYFL= /Y

# Where do you want to install the software?
PROGRAMS=C:\Programs
VENDOR=Krause
PREFIX=$(PROGRAMS)\$(VENDOR)

# Where do the existing libraries reside?
LIBSRC=C:\P\DLL-LIB

# Which programs to use for compiling and linking?
CC=CL
LD=LINK

#
# Where is Visual C?
# Directories lib, include and bin must be beyound this.
#
VC=$(PROGRAMS)\Microsoft Visual Studio\Vc98

# System configuration directory
SCD=	-DSYSCONFDIR=\"C:\\ETC\"

# ### IF YOU HAVE BZ2LIB, UNCOMMENT THE FOLLOWING 3 LINES AND REMOVE THE NEXT 3.
BZL_DEF=-DHAVE_BZLIB_H=0
BZL_DIR=
BZL_LIB=
BZL_DLL=libbz2.dll
# BZL_DEF=-DHAVE_BZLIB_H=1
# BZL_DIR=-I$(LIBSRC)\Include
# BZL_LIB=$(LIBSRC)\lib\libbz2.lib
# BZL_DLL=$(LIBSRC)\bin\libbz2.dll

#
# zlib configuration
#

# ### IF YOU HAVE ZLIB, UNCOMMENT THE FOLLOWING 3 LINES AND REMOVE THE NEXT 3.
ZL_DEF=-DHAVE_ZLIB_H=0
ZL_DIR=
ZL_LIB=
ZL_DLL=zlib.dll
# ZL_DEF=-DHAVE_ZLIB_H=1
# ZL_DIR=-I$(LIBSRC)\Include
# ZL_LIB=$(LIBSRC)\lib\zdll.lib
# ZL_DLL=$(LIBSRC)\bin\zlib1.dll

# PNGLIB requires ZLIB!
PNG_DEF=-DHAVE_LIBPNG=0
PNG_DLL=libpng.dll
# PNG_DEF=-DHAVE_LIBPNG=1
# PNG_DIR=-I$(LIBSRC)\Include
# PNG_LIB=$(LIBSRC)\Lib\libpng.lib
# PNG_DLL=$(LIBSRC)\bin\libpng.dll
# PNGEPSOBJ=pngeps.obj
# BMEPSEXE=bmeps.exe

# JPEGLIB
JPG_DEF=-DHAVE_JPEGLIB_H=0
JPG_DLL2=libjpeg.dll
# JPG_DEF=-DHAVE_JPEGLIB_H=1
# JPG_DIR=-I$(LIBSRC)\Include
# JPG_LIB=$(LIBSRC)\Lib\libjpeg.lib
# JPG_DLL2=$(LIBSRC)\Bin\libjpeg.dll
# JPGEPSOBJ=jpgeps.obj

# TIFFLIB - maybe after June 2003
TIF_DEF=-DHAVE_TIFF_H=0
# TIF_DLL=libtiff.dll
# TIF_DEF=-DHAVE_TIFF_H=1
# TIF_DIR=-I$(LIBSRC)\Include
# TIF_LIB=$(LIBSRC)\Lib\libtiff.lib
# TIF_DLL=$(LIBSRC)\Bin\libtiff.dll
# TIFEPSOBJ=tifeps.obj

# NETPBM
PNM_DEF=-DHAVE_PNM_H=0
PNM_DLL=netpbm.dll
# PNM_DEF=-DHAVE_PNM_H=1
# PNM_DIR=-I$(LIBSRC)\Include
# PNM_LIB=$(LIBSRC)\Lib\netpbm.lib
# PNM_DLL=$(LIBSRC)\Bin\netpbm.dll
# PNMEPSOBJ=pnmeps.obj


# ### IF YOU HAVE NET-SNMP, TOGGLE THE FOLLOWING SECTION
# ------------------------------------------------------
SNMP_DEF=-DHAVE_LIBNETSNMP=0 -DHAVE_LIBUCDSNMP=0
SNMP_DLL=netsnmp.dll
SNMP_DIR=
SNMP_LIB=
SNMPYALC=
# SNMPYALC=snmpyalc.exe
# SNMP_DEF=-DHAVE_LIBNETSNMP=1 -DHAVE_LIBUCDSNMP=0 -DNDEBUG -D_WINDOWS -DHAVE_MODE_T=1
# SNMP_DIR=-I$(LIBSRC)\Include
# SNMP_LIB=$(LIBSRC)\Lib\netsnmp.lib
# SNMP_DLL=$(LIBSRC)\Bin\netsnmp.dll

CRYPTO_DEF=-DHAVE_OPENSSL_MD5_H=0 -DHAVE_OPENSSL_SHA_H=0
CRYPTO_DLL=
CRYPTO_LIB=
CRYPTO_DIR=
CRYPTO_CP1=echo No need for $(LIBSRC)\Bin\LIBEAY32.DLL
CRYPTO_CP2=echo No need for $(LIBSRC)\Bin\SSLEAY32.DLL
# CRYPTO_DEF=-D_HAVE_OPENSSL_MD5_H=1 -DHAVE_OPENSSL_SHA_H=1
# CRYPTO_DLL=$(LIBSRC)\Bin\LIBEAY32.DLL $(LIBSRC)\Bin\SSLEAY32.DLL
# CRYPTO_LIB=$(LIBSRC)\LIB\LIBEAY32.LIB $(LIBSRC)\LIB\SSLEAY32.LIB
# CRYPTO_DIR=-I$(LIBSRC)\Include
# CRYPTO_CP1=xcopy $(LIBSRC)\Bin\LIBEAY32.DLL $(PREFIX)\bin
# CRYPTO_CP2=xcopy $(LIBSRC)\Bin\SSLEAY32.DLL $(PREFIX)\bin

#
# Toggle the following section to specify german
# as the default language.
#

# LANG=de
LANG=en

#
# END OF CONFIGURATION SECTION.
#
# No changes should be necessary below this line.
#
#
# CONF:
# how to build an EXE file
#
EXEFLAGS=/RELEASE /NODEFAULTLIB /LIBPATH:"$(VC)\lib" /LIBPATH:"$(PROGRAMS)\DLL-LIB\LIB"
EXE=	LINK /nologo $(EXEFLAGS)

#
# CONF:
# how to build a DLL
#
DLLFLAGS=/NODEFAULTLIB /INCREMENTAL:NO /RELEASE /DLL /PDB:NONE
DLL= LINK /nologo $(DLLFLAGS)

#
# CONF:
# compile .c to .obj
#
DEF1= $(BZL_DEF) $(BZL_DIR)
DEF2= $(ZL_DEF) $(ZL_DIR)
DEF3= $(SNMP_DEF) $(SNMP_DIR)
DEF4= $(PNG_DEF) $(PNG_DIR)
DEF5= $(JPG_DEF) $(JPG_DIR)
DEF6= # $(TIF_DEF) $(TIF_DIR)
DEF7= $(PNM_DEF) $(PNM_DIR)
DEF8= $(CRYPTO_DEF) $(CRYPTO_DIR)

DEFS= $(DEF1) $(DEF2) $(DEF3) $(DEF4) $(DEF5) $(DEF6) $(DEF7) $(DEF8)

COBJFLAGS= /nologo /MD -DWIN32 -D_WIN32 -D_MT -D_DLL $(SCD) -O -I. -I.. $(DEFS)
.c.obj:
	$(CC) $(COBJFLAGS) $(CFLAGS) $(VERSNO) -c $*.c
LIB32=	advapi32.lib msvcrt.lib kernel32.lib
WSC32=	ws2_32.lib

STCOPT= --/log/stderr/level=error --/log/stdout/level=none

all:	base progs

progs:	$(BMEPSEXE) tools

tools: tool1 tool2 tool3 tool4

tool1: addctrld.exe dklogger.exe kls.exe ksort.exe createp.exe dkpwd.exe
tool2: genau.exe klammern.exe pdfcmb.exe psonly.exe tape.exe png2pdf.exe
tool3: klpr.exe klpq.exe klprm.exe klpc.exe $(SNMPYALC)
tool4: showhex.exe

base:	baselibs baseprogs

baseprogs:	stc.exe tracecc.exe trana.exe dkconfig.exe winsetup.exe

install:	all
	-mkdir $(PREFIX)
	-mkdir $(PREFIX)\include
	-mkdir $(PREFIX)\lib
	-mkdir $(PREFIX)\bin
	-mkdir $(PREFIX)\docu
	xcopy lib\*.* $(PREFIX)\lib /S
	xcopy *.exe $(PREFIX)\bin
	xcopy *.pl  $(PREFIX)\bin
	xcopy *.pm  $(PREFIX)\bin
	xcopy *.dll $(PREFIX)\bin
	xcopy *.h   $(PREFIX)\include
	xcopy *.lib $(PREFIX)\lib
	-xcopy $(BZL_DLL) $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(ZL_DLL)  $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(PNG_DLL) $(PREFIX)\bin $(XCOPYFL)
	-copy $(JPG_DLL2) $(PREFIX)\bin\libjpeg.dll
	-xcopy $(PNM_DLL) $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(SNMP_DLL) $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(CRYPTO_DLL) $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(BZL_DLL) . $(XCOPYFL)
	-xcopy $(ZL_DLL)  . $(XCOPYFL)
	-xcopy $(PNG_DLL) . $(XCOPYFL)
	-copy $(JPG_DLL2) .\libjpeg.dll
	-xcopy $(PNM_DLL) . $(XCOPYFL)
	-xcopy $(SNMP_DLL) . $(XCOPYFL)
	-.\winsetup $(PREFIX) $(LANG)
	-.\dkconfig > $(PREFIX)\include\dkconfig.h
	.\stc $(STCOPT) stc.str $(PREFIX)\lib\stc
	.\stc $(STCOPT) dkapp.str $(PREFIX)\lib
	.\stc $(STCOPT) dkappe.str $(PREFIX)\lib
	.\stc $(STCOPT) dkappd.str $(PREFIX)\lib
	.\stc $(STCOPT) createp.str $(PREFIX)\lib\dkt
	.\stc $(STCOPT) ksort.str $(PREFIX)\lib\dkt
	.\stc $(STCOPT) kls.str $(PREFIX)\lib\dkt
	.\stc $(STCOPT) dklogger.str $(PREFIX)\lib\dklogger
	.\stc $(STCOPT) showhex.str $(PREFIX)\lib\showhex
	.\stc $(STCOPT) genau.str $(PREFIX)\lib\genau
	.\stc $(STCOPT) genaup.str $(PREFIX)\lib\genau
	.\stc $(STCOPT) yanolc.str $(PREFIX)\lib\yanolc
	.\stc $(STCOPT) trana.str $(PREFIX)\lib\trana
	.\stc $(STCOPT) tracecc.str $(PREFIX)\lib\tracecc
	.\stc $(STCOPT) tracecca.str $(PREFIX)\lib\tracecc
	.\stc $(STCOPT) showhex.str $(PREFIX)\lib\showhex
	.\stc $(STCOPT) png2pdf.str $(PREFIX)\lib\png2pdf
	xcopy $(PREFIX)\lib\dkt\en\* $(PREFIX)\lib\dkt\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\dklogger\en\* $(PREFIX)\lib\dklogger\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\genau\en\* $(PREFIX)\lib\genau\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\yanolc\en\* $(PREFIX)\lib\yanolc\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\trana\en\* $(PREFIX)\lib\trana\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\tracecc\en\* $(PREFIX)\lib\tracecc\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\showhex\en\* $(PREFIX)\lib\showhex\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\png2pdf\en\* $(PREFIX)\lib\png2pdf\ $(XCOPYFL)
	-mkdir $(PREFIX)\docu\pdf
	-mkdir $(PREFIX)\docu\html
	-mkdir $(PREFIX)\docu\html\bmeps
	-mkdir $(PREFIX)\docu\html\yanolc
	-mkdir $(PREFIX)\docu\html\png2pdf
	xcopy DOCU\*.* $(PREFIX)\docu\ $(XCOPYFL) /S

baselibs:	dkdll.lib dknet.lib

dkdll.lib:	dkdll.dll

LIBOBJS= \
  dktok.obj \
  dkapp.obj \
  dkstt.obj \
  dksto.obj \
  dkof.obj \
  dkstream.obj \
  dkcp.obj \
  dkbf.obj \
  dkslsupp.obj \
  dkma.obj \
  dksf.obj \
  dkstrdc.obj \
  dkstr.obj \
  dkenc.obj \
  dkpstr.obj \
  dkmem.obj \
  dksignal.obj \
  dktrace.obj \
  dklic.obj

dkdll.dll:	$(LIBOBJS) dkdll.def
	$(DLL) /def:"dkdll.def" /out:"dkdll.dll" /implib:"dkdll.lib" $(LIBOBJS) $(BZL_LIB) $(ZL_LIB) $(LIB32)

dknet.lib:	dknet.dll

NETOBJS = \
  dktcpip.obj

dknet.dll:	$(NETOBJS) dkdll.lib
	$(DLL) /def:"dknet.def" /out:"dknet.dll" /implib:"dknet.lib" $(NETOBJS) .\dkdll.lib $(LIB32) $(WSC32)

stc.exe:	stc.obj dkdll.lib
	$(EXE) /out:stc.exe stc.obj .\dkdll.lib $(LIB32)

TRACECCOBJ=	tracecc.obj traceco.obj
tracecc.exe:	$(TRACECCOBJ) dkdll.lib
	$(EXE) /nologo /out:tracecc.exe $(TRACECCOBJ) .\dkdll.lib $(LIB32)

trana.exe:	trana.obj dkdll.lib
	$(EXE) /nologo /out:trana.exe trana.obj .\dkdll.lib $(LIB32)

dkconfig.exe:	dkconfig.obj dkdll.lib
	$(EXE) /out:dkconfig.exe dkconfig.obj .\dkdll.lib msvcrt.lib advapi32.lib kernel32.lib

winsetup.exe:	winsetup.obj dkdll.lib
	$(EXE) /out:winsetup.exe winsetup.obj .\dkdll.lib $(LIB32)

addctrld.exe:	addctrld.obj base
	$(EXE) /out:addctrld.exe addctrld.obj .\dkdll.lib $(LIB32)

bmeps.exe:	bmepsm.obj base bmeps.lib
	$(EXE) /out:bmeps.exe bmepsm.obj .\bmeps.lib $(LIB32)

bmeps.lib:	bmeps.dll

BMEPSOB1=	bmeps.obj bmepsoe.obj
BMEPSOB2= $(PNGEPSOBJ) $(JPGEPSOBJ) $(PNMEPSOBJ) # $(TIFEPSOBJ) - maybe 2003
BMEPSOBJ= $(BMEPSOB1) $(BMEPSOB2)

IMGLIBS=	$(PNG_LIB) $(JPG_LIB) $(PNM_LIB) # $(TIF_LIB) - maybe 2003
bmeps.dll:	$(BMEPSOBJ)
	$(DLL) /out:"bmeps.dll" /def:"bmeps.def" /implib:"bmeps.lib" $(BMEPSOBJ) $(IMGLIBS) $(ZL_LIB) $(LIB32)

png2pdf.exe:	png2pdfm.obj png2pdf.obj
	$(EXE) /out:png2pdf.exe png2pdfm.obj png2pdf.obj .\dkdll.lib $(PNG_LIB) $(ZL_LIB) $(LIB32)

dklogger.exe:	dklogger.obj base
	$(EXE) /out:dklogger.exe dklogger.obj .\dknet.lib .\dkdll.lib $(LIB32) $(WSC32)

KLSOBJ=	kls.obj 
kls.exe:	$(KLSOBJ) base
	$(EXE) /out:kls.exe $(KLSOBJ) .\dkdll.lib $(CRYPTO_LIB) $(LIB32)

ksort.exe:	ksort.obj base
	$(EXE) /out:ksort.exe ksort.obj .\dkdll.lib $(LIB32)

createp.exe:	createp.obj base
	$(EXE) /out:createp.exe createp.obj .\dkdll.lib $(LIB32)

dkpwd.exe:	dkpwd.obj base
	$(EXE) /out:dkpwd.exe dkpwd.obj .\dkdll.lib $(LIB32)

klammern.exe:	klammern.obj base
	$(EXE) /out:klammern.exe klammern.obj .\dkdll.lib $(LIB32)

pdfcmb.exe:	cmb.obj base
	$(EXE) /out:pdfcmb.exe cmb.obj .\dkdll.lib $(LIB32)

psonly.exe:	psonly.obj base
	$(EXE) /out:psonly.exe psonly.obj .\dkdll.lib $(LIB32)

YALCOBJ=	yalc.obj yalcmsg.obj

yanolc.lib:	yanolc.dll

yanolc.dll:	$(YALCOBJ) base
	$(DLL) /out:"yanolc.dll" /def:"yanolc.def" /implib:"yanolc.lib" $(YALCOBJ) .\dknet.lib .\dkdll.lib $(SNMP_LIB) $(LIB32) $(WSC32)

klpr.exe:	klpr.obj base yanolc.lib
	$(EXE) /out:klpr.exe klpr.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(LIB32)

klpq.exe:	klpq.obj base yanolc.lib
	$(EXE) /out:klpq.exe klpq.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(LIB32)

klprm.exe:	klprm.obj base yanolc.lib
	$(EXE) /out:klprm.exe klprm.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(LIB32)

klpc.exe:	klpc.obj base yanolc.lib
	$(EXE) /out:klpc.exe klpc.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(LIB32)

snmpyalc.exe:	snmpyalc.obj base yanolc.lib
	$(EXE) /out:snmpyalc.exe snmpyalc.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(LIB32)

GENAUOBJ=	genau.obj readau.obj writeau.obj reducau.obj
genau.exe:	$(GENAUOBJ) base
	$(EXE) /out:genau.exe $(GENAUOBJ) .\dkdll.lib $(LIB32)

tape.exe:	tape.obj base
	$(EXE) /out:tape.exe tape.obj .\dkdll.lib $(LIB32)

showhex.exe:	showhex.obj base
	$(EXE) /out:showhex.exe showhex.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)


clean:
	-DEL *.exe
	-DEL *.dll
	-DEL *.lib
	-DEL *.obj

