#
# START OF CONFIGURATION SECTION.
#
# You may need to customize this section.
#

# does xcopy need a special option to overwrite
# files without prompting
XCOPYFL= /Y

# Where do you want to install the software?
PROGRAMS=C:\Programs
VENDOR=Krause
PREFIX=$(PROGRAMS)\$(VENDOR)

# Where do the libraries reside?
LIBSRC=C:\P\LIB-STT

# Which programs to use for compiling and linking?
CC=CL
LD=LINK

#
# Where is Visual C?
# Directories lib, include and bin must be beyound this.
#
VC=$(PROGRAMS)\Microsoft Visual Studio\Vc98
# VC=D:\Programme\DevStudio\Vc

# System configuration directory
SCD=	-DSYSCONFDIR=\"C:\\ETC\"

# ### IF YOU HAVE BZ2LIB, UNCOMMENT THE FOLLOWING 3 LINES AND REMOVE THE NEXT 3.
BZL_DEF=-DHAVE_BZLIB_H=0
BZL_DIR=
BZL_LIB=
# BZL_DEF=-DHAVE_BZLIB_H=1
# BZL_DIR=-I$(LIBSRC)\Include
# BZL_LIB=libbz2.lib

#
# zlib configuration
#

# ### IF YOU HAVE ZLIB, UNCOMMENT THE FOLLOWING 3 LINES AND REMOVE THE NEXT 3.
ZL_DEF=-DHAVE_ZLIB_H=0
ZL_DIR=
ZL_LIB=
# ZL_DEF=-DHAVE_ZLIB_H=1
# ZL_DIR=-I$(LIBSRC)\Include
# ZL_LIB=zlib.lib

# PNGLIB requires ZLIB!
PNG_DEF=-DHAVE_LIBPNG=0
# PNG_DEF=-DHAVE_LIBPNG=1
# PNG_DIR=-I$(LIBSRC)\Include
# PNG_LIB=libpng.lib
# PNGEPSOBJ=pngeps.obj
# BMEPSEXE=bmeps.exe

# JPEGLIB
JPG_DEF=-DHAVE_JPEGLIB_H=0
# JPG_DEF=-DHAVE_JPEGLIB_H=1
# JPG_DIR=-I$(LIBSRC)\Include
# JPG_LIB=libjpeg.lib
# JPGEPSOBJ=jpgeps.obj

# TIFFLIB - maybe after June 2003
TIF_DEF=-DHAVE_TIFF_H=0
# TIF_DEF=-DHAVE_TIFF_H=1
# TIF_DIR=-I$(LIBSRC)\Include
# TIF_LIB=libtiff.lib
# TIFEPSOBJ=tifeps.obj

# NETPBM
PNM_DEF=-DHAVE_PNM_H=0
# PNM_DEF=-DHAVE_PNM_H=1
# PNM_DIR=-I$(LIBSRC)\Include
# PNM_LIB=netpbm.lib
# PNMEPSOBJ=pnmeps.obj


# ### IF YOU HAVE NET-SNMP, TOGGLE THE FOLLOWING SECTION
# ------------------------------------------------------
SNMP_DEF=-DHAVE_LIBNETSNMP=0 -DHAVE_LIBUCDSNMP=0
SNMP_DIR=
SNMP_LIB=
SNMPYALC=
# SNMPYALC=snmpyalc.exe
# SNMP_DEF=-DHAVE_LIBNETSNMP=1 -DHAVE_LIBUCDSNMP=0 -DNDEBUG -D_WINDOWS -DHAVE_MODE_T=1
# SNMP_DIR=-I$(LIBSRC)\Include
# SNMP_LIB=netsnmp.lib

CRYPTO_DEF=-DHAVE_OPENSSL_MD5_H=0 -DHAVE_OPENSSL_SHA_H=0
CRYPTO_LIB=
CRYPTO_DIR=
# CRYPTO_DEF=-D_HAVE_OPENSSL_MD5_H=1 -DHAVE_OPENSSL_SHA_H=1
# CRYPTO_LIB=$(LIBSRC)\LIB\LIBEAY32.LIB $(LIBSRC)\LIB\SSLEAY32.LIB
# CRYPTO_DIR=-I$(LIBSRC)\Include

#
# Toggle the following section to specify german
# as the default language.
#

# LANG=de
LANG=en

#
# END OF CONFIGURATION SECTION.
#
# No changes should be necessary below this line.
#
#
# CONF:
# how to build an EXE file
#
EXEFLAGS=/RELEASE /NODEFAULTLIB /LIBPATH:"$(VC)\LIB" /LIBPATH:"$(LIBSRC)\LIB"
EXE=	LINK /nologo $(EXEFLAGS)
LIB=	LIB /nologo

IMGLIBS= $(PNG_LIB) $(JPG_LIB) $(PNM_LIB)

#
# CONF:
# how to build a DLL
#
DLLFLAGS=/RELEASE /NODEFAULTLIB /INCREMENTAL:NO /DLL /PDB:NONE
DLL= LINK /nologo $(DLLFLAGS)

#
# CONF:
# compile .c to .obj
#
DEF1= $(BZL_DEF) $(BZL_DIR)
DEF2= $(ZL_DEF) $(ZL_DIR)
DEF3= $(SNMP_DEF) $(SNMP_DIR)
DEF4= $(PNG_DEF) $(PNG_DIR)
DEF5= $(JPG_DEF) $(JPG_DIR)
DEF6= # $(TIF_DEF) $(TIF_DIR)
DEF7= $(PNM_DEF) $(PNM_DIR)
DEF8= $(CRYPTO_DEF) $(CRYPTO_DIR)

DEFS= $(DEF1) $(DEF2) $(DEF3) $(DEF4) $(DEF5) $(DEF6) $(DEF7) $(DEF8)

COBJFLAGS= /nologo /MD -DWIN32 -D_WIN32 -D_MT -D_DLL $(SCD) -O -I. -I.. $(DEFS)
.c.obj:
	$(CC) $(COBJFLAGS) $(CFLAGS) $(VERSNO) -c $*.c
LIB32=	advapi32.lib msvcrt.lib kernel32.lib
WSC32=	ws2_32.lib

STCOPT= --/log/stderr/level=error --/log/stdout/level=none

all:	base progs

progs:	$(BMEPSEXE) tools

tools: tool1 tool2 tool3 tool4

tool1: addctrld.exe dklogger.exe kls.exe ksort.exe createp.exe dkpwd.exe
tool2: genau.exe klammern.exe pdfcmb.exe psonly.exe tape.exe png2pdf.exe
tool3: klpr.exe klpq.exe klprm.exe klpc.exe $(SNMPYALC)
tool4: showhex.exe

base:	baselibs baseprogs

baseprogs:	stc.exe tracecc.exe trana.exe dkconfig.exe winsetup.exe

install:	all
	-mkdir $(PREFIX)
	-mkdir $(PREFIX)\include
	-mkdir $(PREFIX)\lib
	-mkdir $(PREFIX)\bin
	-mkdir $(PREFIX)\docu
	xcopy lib\*.* $(PREFIX)\lib /S $(XCOPYFL)
	xcopy *.exe $(PREFIX)\bin $(XCOPYFL)
	xcopy *.pl  $(PREFIX)\bin $(XCOPYFL)
	xcopy *.pm  $(PREFIX)\bin $(XCOPYFL)
	xcopy *.h   $(PREFIX)\include $(XCOPYFL)
	xcopy *.lib $(PREFIX)\lib $(XCOPYFL)
	-.\winsetup $(PREFIX) $(LANG)
	-.\dkconfig > $(PREFIX)\include\dkconfig.h
	.\stc $(STCOPT) stc.str $(PREFIX)\lib\stc
	.\stc $(STCOPT) dkapp.str $(PREFIX)\lib
	.\stc $(STCOPT) dkappe.str $(PREFIX)\lib
	.\stc $(STCOPT) dkappd.str $(PREFIX)\lib
	.\stc $(STCOPT) createp.str $(PREFIX)\lib\dkt
	.\stc $(STCOPT) ksort.str $(PREFIX)\lib\dkt
	.\stc $(STCOPT) kls.str $(PREFIX)\lib\dkt
	.\stc $(STCOPT) showhex.str $(PREFIX)\lib\showhex
	.\stc $(STCOPT) dklogger.str $(PREFIX)\lib\dklogger
	.\stc $(STCOPT) genau.str $(PREFIX)\lib\genau
	.\stc $(STCOPT) genaup.str $(PREFIX)\lib\genau
	.\stc $(STCOPT) yanolc.str $(PREFIX)\lib\yanolc
	.\stc $(STCOPT) trana.str $(PREFIX)\lib\trana
	.\stc $(STCOPT) tracecc.str $(PREFIX)\lib\tracecc
	.\stc $(STCOPT) tracecca.str $(PREFIX)\lib\tracecc
	.\stc $(STCOPT) png2pdf.str $(PREFIX)\lib\png2pdf
	xcopy $(PREFIX)\lib\dkt\en\* $(PREFIX)\lib\dkt\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\dklogger\en\* $(PREFIX)\lib\dklogger\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\genau\en\* $(PREFIX)\lib\genau\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\yanolc\en\* $(PREFIX)\lib\yanolc\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\trana\en\* $(PREFIX)\lib\trana\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\tracecc\en\* $(PREFIX)\lib\tracecc\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\showhex\en\* $(PREFIX)\lib\showhex\ $(XCOPYFL)
	xcopy $(PREFIX)\lib\png2pdf\en\* $(PREFIX)\lib\png2pdf\ $(XCOPYFL)
	xcopy DOCU\*.* $(PREFIX)\docu\ $(XCOPYFL) /S


baselibs:	dkdll.lib dknet.lib

LIBOBJS= \
  dktok.obj \
  dkapp.obj \
  dkstt.obj \
  dksto.obj \
  dkof.obj \
  dkstream.obj \
  dkcp.obj \
  dkbf.obj \
  dkslsupp.obj \
  dkma.obj \
  dksf.obj \
  dkstrdc.obj \
  dkstr.obj \
  dkenc.obj \
  dkpstr.obj \
  dkmem.obj \
  dksignal.obj \
  dktrace.obj \
  dklic.obj

dkdll.lib:	$(LIBOBJS) dkdll.def
	$(LIB) /out:dkdll.lib $(LIBOBJS)

NETOBJS = \
  dktcpip.obj

dknet.lib:	$(NETOBJS) dkdll.lib
	$(LIB) /out:dknet.lib $(NETOBJS)

stc.exe:	stc.obj dkdll.lib
	$(EXE) /out:stc.exe stc.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

TRACECCOBJ=	tracecc.obj traceco.obj
tracecc.exe:	$(TRACECCOBJ) dkdll.lib
	$(EXE) /nologo /out:tracecc.exe $(TRACECCOBJ) .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

trana.exe:	trana.obj dkdll.lib
	$(EXE) /nologo /out:trana.exe trana.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

dkconfig.exe:	dkconfig.obj dkdll.lib
	$(EXE) /out:dkconfig.exe dkconfig.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

winsetup.exe:	winsetup.obj dkdll.lib
	$(EXE) /out:winsetup.exe winsetup.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

addctrld.exe:	addctrld.obj base
	$(EXE) /out:addctrld.exe addctrld.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

bmeps.exe:	bmepsm.obj base bmeps.lib
	$(EXE) /out:bmeps.exe bmepsm.obj .\bmeps.lib $(IMGLIBS) $(ZL_LIB) $(LIB32)

BMEPSOB1=	bmeps.obj bmepsoe.obj
BMEPSOB2= $(PNGEPSOBJ) $(JPGEPSOBJ) $(PNMEPSOBJ) # $(TIFEPSOBJ) - maybe 2003
BMEPSOBJ= $(BMEPSOB1) $(BMEPSOB2)

IMGLIBS=	$(PNG_LIB) $(JPG_LIB) $(PNM_LIB) # $(TIF_LIB) - maybe 2003
bmeps.lib:	$(BMEPSOBJ)
	$(LIB) /out:bmeps.lib $(BMEPSOBJ)

png2pdf.exe:	png2pdfm.obj png2pdf.obj
	$(EXE) /out:png2pdf.exe png2pdfm.obj png2pdf.obj .\dkdll.lib $(PNG_LIB) $(BZL_LIB) $(ZL_LIB) $(LIB32) $(WSC32)

dklogger.exe:	dklogger.obj base
	$(EXE) /out:dklogger.exe dklogger.obj .\dknet.lib .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32) $(WSC32)

KLSOBJ=	kls.obj
kls.exe:	$(KLSOBJ) base
	$(EXE) /out:kls.exe $(KLSOBJ) .\dkdll.lib $(CRYPTO_LIB) $(BZL_LIB) $(ZL_LIB) $(LIB32)

ksort.exe:	ksort.obj base
	$(EXE) /out:ksort.exe ksort.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

createp.exe:	createp.obj base
	$(EXE) /out:createp.exe createp.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

dkpwd.exe:	dkpwd.obj base
	$(EXE) /out:dkpwd.exe dkpwd.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

klammern.exe:	klammern.obj base
	$(EXE) /out:klammern.exe klammern.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

pdfcmb.exe:	cmb.obj base
	$(EXE) /out:pdfcmb.exe cmb.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

psonly.exe:	psonly.obj base
	$(EXE) /out:psonly.exe psonly.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

YALCOBJ=	yalc.obj yalcmsg.obj

yanolc.lib:	$(YALCOBJ) base
	$(LIB) /out:"yanolc.lib" $(YALCOBJ)

klpr.exe:	klpr.obj base yanolc.lib
	$(EXE) /out:klpr.exe klpr.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(SNMP_LIB) $(WSC32) $(LIB32)

klpq.exe:	klpq.obj base yanolc.lib
	$(EXE) /out:klpq.exe klpq.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(SNMP_LIB) $(WSC32) $(LIB32)

klprm.exe:	klprm.obj base yanolc.lib
	$(EXE) /out:klprm.exe klprm.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(SNMP_LIB) $(WSC32) $(LIB32)

klpc.exe:	klpc.obj base yanolc.lib
	$(EXE) /out:klpc.exe klpc.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(SNMP_LIB) $(WSC32) $(LIB32)

snmpyalc.exe:	snmpyalc.obj base yanolc.lib
	$(EXE) /out:snmpyalc.exe snmpyalc.obj .\yanolc.lib .\dknet.lib .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(SNMP_LIB) $(WSC32) $(LIB32)

GENAUOBJ=	genau.obj readau.obj writeau.obj reducau.obj
genau.exe:	$(GENAUOBJ) base
	$(EXE) /out:genau.exe $(GENAUOBJ) .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

tape.exe:	tape.obj base
	$(EXE) /out:tape.exe tape.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

showhex.exe:	showhex.obj base
	$(EXE) /out:showhex.exe showhex.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB) $(LIB32)

clean:
	-DEL *.exe
	-DEL *.obj
	-DEL *.lib
	-DEL *.dll

