/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#include <stdio.h>

#include <dkapp.h>
#include <dksto.h>
#include <dklogc.h>

#if DK_HAVE_ALLOC_H
#include <alloc.h>
#endif


#line 33 "apptest.ctr"


static char test_file_name[] = { "test.dat" };

static char test_msg[] = { "Test error message!" };
static char *msgs[] = { test_msg, NULL };

int main(int argc, char *argv[])
{
  dk_app_t *app;
  dk_storage_iterator_t *it;
  dk_preference_t *pptr;
  char testline[2048];
  int i;
  char pattern[] = { "/usr/local/lib/$(app.name)/$(user.uid)" };
  
#line 48 "apptest.ctr"

#if DK_HAVE_CORELEFT
  
#endif
#if DK_HAVE_FARCORELEFT
  
#endif
  app = dkapp_open(argc,argv);
  if(app) {
    if((app->p).c) {
      it = dksto_it_open((app->p).c);
      if(it) {
	dksto_it_reset(it);
        while((pptr = (dk_preference_t *)dksto_it_next(it)) != NULL) {
	  printf("%s\t%s\n",
	    pptr->n, pptr->v
	  );
	}
	dksto_it_close(it);
      }
    }
    dkapp_set_source_filename(app, test_file_name);
    dkapp_set_source_lineno(app, 1UL);
    dkapp_log_msg(app,DK_LOG_LEVEL_ERROR,msgs,1);
    if(dkapp_get_pref(app,"/ui/lang",testline,sizeof(testline),0)) {
      printf("%s\n", testline);
    }
    if(dkapp_get_pref(app,"/unsinn",testline,sizeof(testline),0)) {
      printf("%s\n", testline);
    }
    if(dkapp_transform_string(app,testline,sizeof(testline),pattern)) {
      printf("%s\n", testline);
    }
    dkapp_set_pref(app, "/unsinn", "Bloedsinn");
    if(dkapp_find_file(app, "x.txt", testline, sizeof(testline))) {
      printf("File %s\n", testline);
    }
    for(i = 0; i < 2048; i++) {
      if(dkapp_tmpnam(app,testline,sizeof(testline))) {
	printf("tmpfile %s\n", testline);
      }
    }
    dkapp_close(app);
  }
#if DK_HAVE_CORELEFT
  
#endif
#if DK_HAVE_FARCORELEFT
  
#endif
  
#line 98 "apptest.ctr"

}


#ifndef LINT
static char sccs_id[] = {
  "@(#)apptest.ctr 1.17 08/25/03\t(krause) - application test program"
};
#endif

