#! /a/et/skr/wrk3/Perl/bin/perl

my $config = 0;

my $arg;
if ( $#ARGV >= 0 )
{
  $arg = shift @ARGV;
  if($arg eq "-config") {
    $config = 1;
  }
}

if($config) {
  print "#include <dkconfig.h>\n#include <stdio.h>\n\n";
  print "static char *config_options[] = {\n";
  print "  (char *)\"#ifndef DKCONFIG_INC\",\n";
  print "  (char *)\"#define DKCONFIG_INC 1\",\n";
} else {
  print "#ifndef DKCONFTR_INC\n";
  print "#define DKCONFTR_INC 1\n";
}

my $line;
my $opt;
my $state = 0;

while(<>) {
  $line = $_;
  chomp $line;
  if($state == 0) {
    if($line =~ /\/\*\s*start\s*\*\//o) {
      $state = 1;
    }
  } else {
    if($state == 1) {
      if($line =~ /\/\*\s*end\s*\*\//o) {
	$state = 2;
      } else {
	if($line =~ /^#\s*\S+\s*(\S+)/o) {
	  $opt = $1;
	  if($config) {
	    # print "  (char *)\"#if " . $opt . "\",\n";
	    print "#if " . $opt . "\n";
	    print "  (char *)\"/*\\t\\t\\t\\t\\t+\\t" . $opt . " */\",\n";
	    print "  (char *)\"#ifndef DK_" . $opt . "\",\n";
	    print "  (char *)\"#define DK_" . $opt . " 1\",\n";
	    print "  (char *)\"#endif\",\n";
	    # print "  \"#else\",\n";
	    print "#else\n";
	    print "  (char *)\"/*\\t\\t\\t\\t\\t-\\t" . $opt . " */\",\n";
	    print "  (char *)\"#ifdef  DK_" . $opt . "\",\n";
	    print "  (char *)\"#undef  DK_" . $opt . "\",\n";
	    print "  (char *)\"#endif\",\n";
	    # print "  \"#endif\",\n";
	    print "#endif\n";
	  } else {
	    print "/* " . $opt . " */\n";
	    print "#if " . $opt . "\n";
	    print "#ifndef DK_" . $opt . "\n";
	    print "#define DK_" . $opt . " 1\n";
	    print "#endif\n";
	    print "#else\n";
	    print "#ifdef  DK_" . $opt . "\n";
	    print "#undef  DK_" . $opt . "\n";
	    print "#endif\n";
	    print "#endif\n";
	  }
	}
      }
    }
  }
}

if($config) {
  print "  (char *)\"#endif\",\n";
  print "  NULL\n} ;\n\n";
  print "int main(int argc, char *argv[])\n" ;
  print "{\n" ;
  print "  char **ptr;\n";
  print "  ptr = config_options;\n";
  print "  while(*ptr) {\n";
  print "    printf(\"%s\\n\", *(ptr++));\n";
  print "  }\n";
  print "  return 0;\n";
  print "}\n" ;
} else {
  print "#endif\n";
}

