/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#ifndef DK_APP_INCLUDED
#define DK_APP_INCLUDED 1

#include <dk.h>
#include <dktypes.h>

#ifndef DK_APP_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN
dk_app_t *dkapp_open DK_PR((int argc, char *argv[]));

EXTERN
dk_app_t *dkapp_open_ext1 DK_PR((int argc, char *argv[], char *gr, char *etcdir, int sil, int nostdio));

EXTERN
void dkapp_close DK_PR((dk_app_t *a));

EXTERN
int dkapp_log_msg DK_PR((dk_app_t *a, int p, char **msg, int az));

EXTERN
int
dkapp_get_pref DK_PR((dk_app_t *a, char *key, char *buf, size_t lgt, int ex));

EXTERN
int dkapp_set_pref DK_PR((dk_app_t *a, char *key, char *value));

EXTERN
int
dkapp_transform_string DK_PR((dk_app_t *app,char *dest,size_t sz,char *src));

EXTERN
int
dkapp_transform_string_ext1 DK_PR((dk_app_t *app,char *dest,size_t sz,char *src,int fn));

EXTERN
int
dkapp_find_cfg DK_PR((dk_app_t *a, char *name, char *buffer, size_t sz));

EXTERN
int
dkapp_find_file DK_PR((dk_app_t *a, char *name, char *buffer, size_t sz));

EXTERN
char *
dkapp_find_string DK_PR((dk_app_t *a, char *t, char *k, char *d));

EXTERN int
dkapp_get_argc DK_PR((dk_app_t *a));

EXTERN char **
dkapp_get_argv DK_PR((dk_app_t *a));

EXTERN void
dkapp_help DK_PR((dk_app_t *a, char *filename, char **def_strings));

EXTERN void
dkapp_find_multi DK_PR((dk_app_t *app, dk_string_finder_t *f, char *table));

EXTERN dk_stream_t *
dkapp_read_file DK_PR((dk_app_t *app, char *filename));

EXTERN dk_stream_t *
dkapp_read_cfg DK_PR((dk_app_t *app, char *filename));

EXTERN dk_stream_t *
dkapp_write_file DK_PR((dk_app_t *app, char *filename));

EXTERN int
dkapp_tmpnam DK_PR((dk_app_t *app, char *buffer, size_t sz));

EXTERN void
dkapp_unconfigure DK_PR((dk_app_t *app));

EXTERN void
dkapp_err_traverse_dir DK_PR((dk_app_t *app, char *name));

EXTERN void
dkapp_err_stat_failed DK_PR((dk_app_t *app, char *name));

EXTERN void
dkapp_err_cwd DK_PR((dk_app_t *app));

EXTERN void
dkapp_err_memory DK_PR((dk_app_t *app, size_t elsize, size_t nelem));

EXTERN void
dkapp_err_matchfile DK_PR((dk_app_t *app, char *name));

EXTERN void
dkapp_err_matchdir DK_PR((dk_app_t *app, char *name));

EXTERN void
dkapp_err_fopenr DK_PR((dk_app_t *app, char *name));

EXTERN void
dkapp_err_fopenw DK_PR((dk_app_t *app, char *name));

EXTERN void
dkapp_err_fwrite DK_PR((dk_app_t *app, char *name));

EXTERN void
dkapp_err_fread DK_PR((dk_app_t *app, char *name));

EXTERN int
dkapp_log_level_in_use DK_PR((dk_app_t *app, int loglevel));

EXTERN int
dkapp_get_relaxed_fopen_check DK_PR((dk_app_t *app));

EXTERN void
dkapp_err_nowrite DK_PR((dk_app_t *app, char *fn, int reason));

EXTERN dk_stream_t *
dkapp_stream_openfile DK_PR((dk_app_t *a, char *n, char *m));

EXTERN dk_stream_t *
dkapp_stream_opengz DK_PR((dk_app_t *a, char *n, char *m));

EXTERN dk_stream_t *
dkapp_stream_openbz2 DK_PR((dk_app_t *a, char *n, char *m));

EXTERN FILE *
dkapp_fopen DK_PR((dk_app_t *a, char *n, char *m));

EXTERN char *
dkapp_get_appname DK_PR((dk_app_t *a));

EXTERN void
dkapp_set_silent DK_PR((dk_app_t *a, int v));

EXTERN void
dkapp_set_nostdio DK_PR((dk_app_t *a, int v));

EXTERN int
dkapp_set_groupname DK_PR((dk_app_t *a, char *n));

EXTERN void
dkapp_err_tcpip DK_PR((dk_app_t *app));

EXTERN int
dkapp_silence_check DK_PR((int argc, char **argv));

EXTERN int
dkapp_get_min_loglevel DK_PR((dk_app_t *a));

EXTERN void
dkapp_set_source_filename DK_PR((dk_app_t *a, char *n));

EXTERN void
dkapp_set_source_lineno DK_PR((dk_app_t *a, unsigned long lineno));

EXTERN int
dkapp_ide_type DK_PR((char *str));

EXTERN unsigned char *
dkapp_get_stdout_codepage DK_PR((dk_app_t *a));

EXTERN char *
dkapp_fne_one DK_PR((dk_app_t *a, dk_fne_t *f, char *p));

void
dkapp_err_no_such_file DK_PR((dk_app_t *app, char *pat));

void
dkapp_err_multiple_files DK_PR((dk_app_t *app, char *pat));


#ifdef __cplusplus
}
#endif

/* exclude command line settings */
#define DK_APP_PREF_EXCL_CMD	1

/* exclude programs own settings */
#define DK_APP_PREF_EXCL_PROG	2

/* exclude users settings */
#define DK_APP_PREF_EXCL_USER	4

/* exclude system settings */
#define DK_APP_PREF_EXCL_SYSTEM	8

#define DK_APP_IDE_NONE		0
#define DK_APP_IDE_GCC		1
#define DK_APP_IDE_MSVC		2
#define DK_APP_IDE_WORKSHOP	3
#define DK_APP_IDE_TASM		4

#endif
/* DK_APP_INCLUDED */

