/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#ifndef DK_BF_INCLUDED
#define DK_BF_INCLUDED 1

#include <dk.h>
#include <dktypes.h>

#ifndef DK_BF_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN
dk_bitfield_t *dkbf_open DK_PR((size_t bits));

EXTERN
void dkbf_close DK_PR((dk_bitfield_t *bf));

EXTERN
void dkbf_set DK_PR((dk_bitfield_t *bf, size_t bit, int val));

EXTERN
int dkbf_get DK_PR((dk_bitfield_t *bf, size_t bit));


#ifdef __cplusplus
}
#endif

#endif
/* DK_BF_INCLUDED */

