#include <dkconfig.h>
#include <stdio.h>

static char *config_options[] = {
  (char *)"#ifndef DKCONFIG_INC",
  (char *)"#define DKCONFIG_INC 1",
#if HAVE_ISDIGIT
  (char *)"/*\t\t\t\t\t+\tHAVE_ISDIGIT */",
  (char *)"#ifndef DK_HAVE_ISDIGIT",
  (char *)"#define DK_HAVE_ISDIGIT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ISDIGIT */",
  (char *)"#ifdef  DK_HAVE_ISDIGIT",
  (char *)"#undef  DK_HAVE_ISDIGIT",
  (char *)"#endif",
#endif
#if HAVE_LONG_LONG_INT
  (char *)"/*\t\t\t\t\t+\tHAVE_LONG_LONG_INT */",
  (char *)"#ifndef DK_HAVE_LONG_LONG_INT",
  (char *)"#define DK_HAVE_LONG_LONG_INT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LONG_LONG_INT */",
  (char *)"#ifdef  DK_HAVE_LONG_LONG_INT",
  (char *)"#undef  DK_HAVE_LONG_LONG_INT",
  (char *)"#endif",
#endif
#if HAVE_NO_INODES
  (char *)"/*\t\t\t\t\t+\tHAVE_NO_INODES */",
  (char *)"#ifndef DK_HAVE_NO_INODES",
  (char *)"#define DK_HAVE_NO_INODES 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NO_INODES */",
  (char *)"#ifdef  DK_HAVE_NO_INODES",
  (char *)"#undef  DK_HAVE_NO_INODES",
  (char *)"#endif",
#endif
#if HAVE_CODEPAGES
  (char *)"/*\t\t\t\t\t+\tHAVE_CODEPAGES */",
  (char *)"#ifndef DK_HAVE_CODEPAGES",
  (char *)"#define DK_HAVE_CODEPAGES 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CODEPAGES */",
  (char *)"#ifdef  DK_HAVE_CODEPAGES",
  (char *)"#undef  DK_HAVE_CODEPAGES",
  (char *)"#endif",
#endif
#if HAVE_ALLDOTALL
  (char *)"/*\t\t\t\t\t+\tHAVE_ALLDOTALL */",
  (char *)"#ifndef DK_HAVE_ALLDOTALL",
  (char *)"#define DK_HAVE_ALLDOTALL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ALLDOTALL */",
  (char *)"#ifdef  DK_HAVE_ALLDOTALL",
  (char *)"#undef  DK_HAVE_ALLDOTALL",
  (char *)"#endif",
#endif
#if HAVE_DOTFILENAMES
  (char *)"/*\t\t\t\t\t+\tHAVE_DOTFILENAMES */",
  (char *)"#ifndef DK_HAVE_DOTFILENAMES",
  (char *)"#define DK_HAVE_DOTFILENAMES 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DOTFILENAMES */",
  (char *)"#ifdef  DK_HAVE_DOTFILENAMES",
  (char *)"#undef  DK_HAVE_DOTFILENAMES",
  (char *)"#endif",
#endif
#if HAVE_POPEN
  (char *)"/*\t\t\t\t\t+\tHAVE_POPEN */",
  (char *)"#ifndef DK_HAVE_POPEN",
  (char *)"#define DK_HAVE_POPEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_POPEN */",
  (char *)"#ifdef  DK_HAVE_POPEN",
  (char *)"#undef  DK_HAVE_POPEN",
  (char *)"#endif",
#endif
#if HAVE__POPEN
  (char *)"/*\t\t\t\t\t+\tHAVE__POPEN */",
  (char *)"#ifndef DK_HAVE__POPEN",
  (char *)"#define DK_HAVE__POPEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__POPEN */",
  (char *)"#ifdef  DK_HAVE__POPEN",
  (char *)"#undef  DK_HAVE__POPEN",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_DOS_EXEC
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_DOS_EXEC */",
  (char *)"#ifndef DK_HAVE_FEATURE_DOS_EXEC",
  (char *)"#define DK_HAVE_FEATURE_DOS_EXEC 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_DOS_EXEC */",
  (char *)"#ifdef  DK_HAVE_FEATURE_DOS_EXEC",
  (char *)"#undef  DK_HAVE_FEATURE_DOS_EXEC",
  (char *)"#endif",
#endif
#if HAVE_DOS_DRIVE_LETTER
  (char *)"/*\t\t\t\t\t+\tHAVE_DOS_DRIVE_LETTER */",
  (char *)"#ifndef DK_HAVE_DOS_DRIVE_LETTER",
  (char *)"#define DK_HAVE_DOS_DRIVE_LETTER 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DOS_DRIVE_LETTER */",
  (char *)"#ifdef  DK_HAVE_DOS_DRIVE_LETTER",
  (char *)"#undef  DK_HAVE_DOS_DRIVE_LETTER",
  (char *)"#endif",
#endif
#if HAVE_PROTOTYPES
  (char *)"/*\t\t\t\t\t+\tHAVE_PROTOTYPES */",
  (char *)"#ifndef DK_HAVE_PROTOTYPES",
  (char *)"#define DK_HAVE_PROTOTYPES 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_PROTOTYPES */",
  (char *)"#ifdef  DK_HAVE_PROTOTYPES",
  (char *)"#undef  DK_HAVE_PROTOTYPES",
  (char *)"#endif",
#endif
#if HAVE_FINDFIRST
  (char *)"/*\t\t\t\t\t+\tHAVE_FINDFIRST */",
  (char *)"#ifndef DK_HAVE_FINDFIRST",
  (char *)"#define DK_HAVE_FINDFIRST 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FINDFIRST */",
  (char *)"#ifdef  DK_HAVE_FINDFIRST",
  (char *)"#undef  DK_HAVE_FINDFIRST",
  (char *)"#endif",
#endif
#if HAVE_STRCASECMP
  (char *)"/*\t\t\t\t\t+\tHAVE_STRCASECMP */",
  (char *)"#ifndef DK_HAVE_STRCASECMP",
  (char *)"#define DK_HAVE_STRCASECMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRCASECMP */",
  (char *)"#ifdef  DK_HAVE_STRCASECMP",
  (char *)"#undef  DK_HAVE_STRCASECMP",
  (char *)"#endif",
#endif
#if HAVE_STRICMP
  (char *)"/*\t\t\t\t\t+\tHAVE_STRICMP */",
  (char *)"#ifndef DK_HAVE_STRICMP",
  (char *)"#define DK_HAVE_STRICMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRICMP */",
  (char *)"#ifdef  DK_HAVE_STRICMP",
  (char *)"#undef  DK_HAVE_STRICMP",
  (char *)"#endif",
#endif
#if HAVE_STRCHR
  (char *)"/*\t\t\t\t\t+\tHAVE_STRCHR */",
  (char *)"#ifndef DK_HAVE_STRCHR",
  (char *)"#define DK_HAVE_STRCHR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRCHR */",
  (char *)"#ifdef  DK_HAVE_STRCHR",
  (char *)"#undef  DK_HAVE_STRCHR",
  (char *)"#endif",
#endif
#if HAVE_STRRCHR
  (char *)"/*\t\t\t\t\t+\tHAVE_STRRCHR */",
  (char *)"#ifndef DK_HAVE_STRRCHR",
  (char *)"#define DK_HAVE_STRRCHR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRRCHR */",
  (char *)"#ifdef  DK_HAVE_STRRCHR",
  (char *)"#undef  DK_HAVE_STRRCHR",
  (char *)"#endif",
#endif
#if HAVE_STRDUP
  (char *)"/*\t\t\t\t\t+\tHAVE_STRDUP */",
  (char *)"#ifndef DK_HAVE_STRDUP",
  (char *)"#define DK_HAVE_STRDUP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRDUP */",
  (char *)"#ifdef  DK_HAVE_STRDUP",
  (char *)"#undef  DK_HAVE_STRDUP",
  (char *)"#endif",
#endif
#if HAVE_FARMALLOC
  (char *)"/*\t\t\t\t\t+\tHAVE_FARMALLOC */",
  (char *)"#ifndef DK_HAVE_FARMALLOC",
  (char *)"#define DK_HAVE_FARMALLOC 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FARMALLOC */",
  (char *)"#ifdef  DK_HAVE_FARMALLOC",
  (char *)"#undef  DK_HAVE_FARMALLOC",
  (char *)"#endif",
#endif
#if HAVE_FARFREE
  (char *)"/*\t\t\t\t\t+\tHAVE_FARFREE */",
  (char *)"#ifndef DK_HAVE_FARFREE",
  (char *)"#define DK_HAVE_FARFREE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FARFREE */",
  (char *)"#ifdef  DK_HAVE_FARFREE",
  (char *)"#undef  DK_HAVE_FARFREE",
  (char *)"#endif",
#endif
#if HAVE_FARCORELEFT
  (char *)"/*\t\t\t\t\t+\tHAVE_FARCORELEFT */",
  (char *)"#ifndef DK_HAVE_FARCORELEFT",
  (char *)"#define DK_HAVE_FARCORELEFT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FARCORELEFT */",
  (char *)"#ifdef  DK_HAVE_FARCORELEFT",
  (char *)"#undef  DK_HAVE_FARCORELEFT",
  (char *)"#endif",
#endif
#if HAVE_MALLOC
  (char *)"/*\t\t\t\t\t+\tHAVE_MALLOC */",
  (char *)"#ifndef DK_HAVE_MALLOC",
  (char *)"#define DK_HAVE_MALLOC 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MALLOC */",
  (char *)"#ifdef  DK_HAVE_MALLOC",
  (char *)"#undef  DK_HAVE_MALLOC",
  (char *)"#endif",
#endif
#if HAVE_FREE
  (char *)"/*\t\t\t\t\t+\tHAVE_FREE */",
  (char *)"#ifndef DK_HAVE_FREE",
  (char *)"#define DK_HAVE_FREE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FREE */",
  (char *)"#ifdef  DK_HAVE_FREE",
  (char *)"#undef  DK_HAVE_FREE",
  (char *)"#endif",
#endif
#if HAVE_CORELEFT
  (char *)"/*\t\t\t\t\t+\tHAVE_CORELEFT */",
  (char *)"#ifndef DK_HAVE_CORELEFT",
  (char *)"#define DK_HAVE_CORELEFT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CORELEFT */",
  (char *)"#ifdef  DK_HAVE_CORELEFT",
  (char *)"#undef  DK_HAVE_CORELEFT",
  (char *)"#endif",
#endif
#if HAVE_MEMSET
  (char *)"/*\t\t\t\t\t+\tHAVE_MEMSET */",
  (char *)"#ifndef DK_HAVE_MEMSET",
  (char *)"#define DK_HAVE_MEMSET 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MEMSET */",
  (char *)"#ifdef  DK_HAVE_MEMSET",
  (char *)"#undef  DK_HAVE_MEMSET",
  (char *)"#endif",
#endif
#if HAVE_BZERO
  (char *)"/*\t\t\t\t\t+\tHAVE_BZERO */",
  (char *)"#ifndef DK_HAVE_BZERO",
  (char *)"#define DK_HAVE_BZERO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BZERO */",
  (char *)"#ifdef  DK_HAVE_BZERO",
  (char *)"#undef  DK_HAVE_BZERO",
  (char *)"#endif",
#endif
#if HAVE_MEMCMP
  (char *)"/*\t\t\t\t\t+\tHAVE_MEMCMP */",
  (char *)"#ifndef DK_HAVE_MEMCMP",
  (char *)"#define DK_HAVE_MEMCMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MEMCMP */",
  (char *)"#ifdef  DK_HAVE_MEMCMP",
  (char *)"#undef  DK_HAVE_MEMCMP",
  (char *)"#endif",
#endif
#if HAVE_BCMP
  (char *)"/*\t\t\t\t\t+\tHAVE_BCMP */",
  (char *)"#ifndef DK_HAVE_BCMP",
  (char *)"#define DK_HAVE_BCMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BCMP */",
  (char *)"#ifdef  DK_HAVE_BCMP",
  (char *)"#undef  DK_HAVE_BCMP",
  (char *)"#endif",
#endif
#if HAVE_MEMCPY
  (char *)"/*\t\t\t\t\t+\tHAVE_MEMCPY */",
  (char *)"#ifndef DK_HAVE_MEMCPY",
  (char *)"#define DK_HAVE_MEMCPY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MEMCPY */",
  (char *)"#ifdef  DK_HAVE_MEMCPY",
  (char *)"#undef  DK_HAVE_MEMCPY",
  (char *)"#endif",
#endif
#if HAVE_BCOPY
  (char *)"/*\t\t\t\t\t+\tHAVE_BCOPY */",
  (char *)"#ifndef DK_HAVE_BCOPY",
  (char *)"#define DK_HAVE_BCOPY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BCOPY */",
  (char *)"#ifdef  DK_HAVE_BCOPY",
  (char *)"#undef  DK_HAVE_BCOPY",
  (char *)"#endif",
#endif
#if HAVE_OPENDIR
  (char *)"/*\t\t\t\t\t+\tHAVE_OPENDIR */",
  (char *)"#ifndef DK_HAVE_OPENDIR",
  (char *)"#define DK_HAVE_OPENDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_OPENDIR */",
  (char *)"#ifdef  DK_HAVE_OPENDIR",
  (char *)"#undef  DK_HAVE_OPENDIR",
  (char *)"#endif",
#endif
#if HAVE_LSTAT
  (char *)"/*\t\t\t\t\t+\tHAVE_LSTAT */",
  (char *)"#ifndef DK_HAVE_LSTAT",
  (char *)"#define DK_HAVE_LSTAT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LSTAT */",
  (char *)"#ifdef  DK_HAVE_LSTAT",
  (char *)"#undef  DK_HAVE_LSTAT",
  (char *)"#endif",
#endif
#if HAVE_GETCWD
  (char *)"/*\t\t\t\t\t+\tHAVE_GETCWD */",
  (char *)"#ifndef DK_HAVE_GETCWD",
  (char *)"#define DK_HAVE_GETCWD 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETCWD */",
  (char *)"#ifdef  DK_HAVE_GETCWD",
  (char *)"#undef  DK_HAVE_GETCWD",
  (char *)"#endif",
#endif
#if HAVE_GETWD
  (char *)"/*\t\t\t\t\t+\tHAVE_GETWD */",
  (char *)"#ifndef DK_HAVE_GETWD",
  (char *)"#define DK_HAVE_GETWD 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETWD */",
  (char *)"#ifdef  DK_HAVE_GETWD",
  (char *)"#undef  DK_HAVE_GETWD",
  (char *)"#endif",
#endif
#if HAVE_GETHOSTBYNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETHOSTBYNAME */",
  (char *)"#ifndef DK_HAVE_GETHOSTBYNAME",
  (char *)"#define DK_HAVE_GETHOSTBYNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETHOSTBYNAME */",
  (char *)"#ifdef  DK_HAVE_GETHOSTBYNAME",
  (char *)"#undef  DK_HAVE_GETHOSTBYNAME",
  (char *)"#endif",
#endif
#if HAVE_GETHOSTNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETHOSTNAME */",
  (char *)"#ifndef DK_HAVE_GETHOSTNAME",
  (char *)"#define DK_HAVE_GETHOSTNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETHOSTNAME */",
  (char *)"#ifdef  DK_HAVE_GETHOSTNAME",
  (char *)"#undef  DK_HAVE_GETHOSTNAME",
  (char *)"#endif",
#endif
#if HAVE_GETUID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETUID */",
  (char *)"#ifndef DK_HAVE_GETUID",
  (char *)"#define DK_HAVE_GETUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETUID */",
  (char *)"#ifdef  DK_HAVE_GETUID",
  (char *)"#undef  DK_HAVE_GETUID",
  (char *)"#endif",
#endif
#if HAVE_GETEUID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETEUID */",
  (char *)"#ifndef DK_HAVE_GETEUID",
  (char *)"#define DK_HAVE_GETEUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETEUID */",
  (char *)"#ifdef  DK_HAVE_GETEUID",
  (char *)"#undef  DK_HAVE_GETEUID",
  (char *)"#endif",
#endif
#if HAVE_GETGID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETGID */",
  (char *)"#ifndef DK_HAVE_GETGID",
  (char *)"#define DK_HAVE_GETGID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETGID */",
  (char *)"#ifdef  DK_HAVE_GETGID",
  (char *)"#undef  DK_HAVE_GETGID",
  (char *)"#endif",
#endif
#if HAVE_GETEGID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETEGID */",
  (char *)"#ifndef DK_HAVE_GETEGID",
  (char *)"#define DK_HAVE_GETEGID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETEGID */",
  (char *)"#ifdef  DK_HAVE_GETEGID",
  (char *)"#undef  DK_HAVE_GETEGID",
  (char *)"#endif",
#endif
#if HAVE_GETSERVBYNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETSERVBYNAME */",
  (char *)"#ifndef DK_HAVE_GETSERVBYNAME",
  (char *)"#define DK_HAVE_GETSERVBYNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETSERVBYNAME */",
  (char *)"#ifdef  DK_HAVE_GETSERVBYNAME",
  (char *)"#undef  DK_HAVE_GETSERVBYNAME",
  (char *)"#endif",
#endif
#if HAVE_GETADDRINFO
  (char *)"/*\t\t\t\t\t+\tHAVE_GETADDRINFO */",
  (char *)"#ifndef DK_HAVE_GETADDRINFO",
  (char *)"#define DK_HAVE_GETADDRINFO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETADDRINFO */",
  (char *)"#ifdef  DK_HAVE_GETADDRINFO",
  (char *)"#undef  DK_HAVE_GETADDRINFO",
  (char *)"#endif",
#endif
#if HAVE_GETNETPATH
  (char *)"/*\t\t\t\t\t+\tHAVE_GETNETPATH */",
  (char *)"#ifndef DK_HAVE_GETNETPATH",
  (char *)"#define DK_HAVE_GETNETPATH 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETNETPATH */",
  (char *)"#ifdef  DK_HAVE_GETNETPATH",
  (char *)"#undef  DK_HAVE_GETNETPATH",
  (char *)"#endif",
#endif
#if HAVE_NETDIR_GETBYNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_NETDIR_GETBYNAME */",
  (char *)"#ifndef DK_HAVE_NETDIR_GETBYNAME",
  (char *)"#define DK_HAVE_NETDIR_GETBYNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NETDIR_GETBYNAME */",
  (char *)"#ifdef  DK_HAVE_NETDIR_GETBYNAME",
  (char *)"#undef  DK_HAVE_NETDIR_GETBYNAME",
  (char *)"#endif",
#endif
#if HAVE_FCNTL
  (char *)"/*\t\t\t\t\t+\tHAVE_FCNTL */",
  (char *)"#ifndef DK_HAVE_FCNTL",
  (char *)"#define DK_HAVE_FCNTL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FCNTL */",
  (char *)"#ifdef  DK_HAVE_FCNTL",
  (char *)"#undef  DK_HAVE_FCNTL",
  (char *)"#endif",
#endif
#if HAVE_FCNTL_H
  (char *)"/*\t\t\t\t\t+\tHAVE_FCNTL_H */",
  (char *)"#ifndef DK_HAVE_FCNTL_H",
  (char *)"#define DK_HAVE_FCNTL_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FCNTL_H */",
  (char *)"#ifdef  DK_HAVE_FCNTL_H",
  (char *)"#undef  DK_HAVE_FCNTL_H",
  (char *)"#endif",
#endif
#if HAVE_IOCTL
  (char *)"/*\t\t\t\t\t+\tHAVE_IOCTL */",
  (char *)"#ifndef DK_HAVE_IOCTL",
  (char *)"#define DK_HAVE_IOCTL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_IOCTL */",
  (char *)"#ifdef  DK_HAVE_IOCTL",
  (char *)"#undef  DK_HAVE_IOCTL",
  (char *)"#endif",
#endif
#if HAVE_GETPID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPID */",
  (char *)"#ifndef DK_HAVE_GETPID",
  (char *)"#define DK_HAVE_GETPID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPID */",
  (char *)"#ifdef  DK_HAVE_GETPID",
  (char *)"#undef  DK_HAVE_GETPID",
  (char *)"#endif",
#endif
#if HAVE_GETPGRP
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPGRP */",
  (char *)"#ifndef DK_HAVE_GETPGRP",
  (char *)"#define DK_HAVE_GETPGRP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPGRP */",
  (char *)"#ifdef  DK_HAVE_GETPGRP",
  (char *)"#undef  DK_HAVE_GETPGRP",
  (char *)"#endif",
#endif
#if HAVE_GETPPID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPPID */",
  (char *)"#ifndef DK_HAVE_GETPPID",
  (char *)"#define DK_HAVE_GETPPID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPPID */",
  (char *)"#ifdef  DK_HAVE_GETPPID",
  (char *)"#undef  DK_HAVE_GETPPID",
  (char *)"#endif",
#endif
#if HAVE_GETPGID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPGID */",
  (char *)"#ifndef DK_HAVE_GETPGID",
  (char *)"#define DK_HAVE_GETPGID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPGID */",
  (char *)"#ifdef  DK_HAVE_GETPGID",
  (char *)"#undef  DK_HAVE_GETPGID",
  (char *)"#endif",
#endif
#if HAVE_UNLINK
  (char *)"/*\t\t\t\t\t+\tHAVE_UNLINK */",
  (char *)"#ifndef DK_HAVE_UNLINK",
  (char *)"#define DK_HAVE_UNLINK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_UNLINK */",
  (char *)"#ifdef  DK_HAVE_UNLINK",
  (char *)"#undef  DK_HAVE_UNLINK",
  (char *)"#endif",
#endif
#if HAVE__UNLINK
  (char *)"/*\t\t\t\t\t+\tHAVE__UNLINK */",
  (char *)"#ifndef DK_HAVE__UNLINK",
  (char *)"#define DK_HAVE__UNLINK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__UNLINK */",
  (char *)"#ifdef  DK_HAVE__UNLINK",
  (char *)"#undef  DK_HAVE__UNLINK",
  (char *)"#endif",
#endif
#if HAVE__STRICMP
  (char *)"/*\t\t\t\t\t+\tHAVE__STRICMP */",
  (char *)"#ifndef DK_HAVE__STRICMP",
  (char *)"#define DK_HAVE__STRICMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__STRICMP */",
  (char *)"#ifdef  DK_HAVE__STRICMP",
  (char *)"#undef  DK_HAVE__STRICMP",
  (char *)"#endif",
#endif
#if HAVE_RMDIR
  (char *)"/*\t\t\t\t\t+\tHAVE_RMDIR */",
  (char *)"#ifndef DK_HAVE_RMDIR",
  (char *)"#define DK_HAVE_RMDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RMDIR */",
  (char *)"#ifdef  DK_HAVE_RMDIR",
  (char *)"#undef  DK_HAVE_RMDIR",
  (char *)"#endif",
#endif
#if HAVE__RMDIR
  (char *)"/*\t\t\t\t\t+\tHAVE__RMDIR */",
  (char *)"#ifndef DK_HAVE__RMDIR",
  (char *)"#define DK_HAVE__RMDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__RMDIR */",
  (char *)"#ifdef  DK_HAVE__RMDIR",
  (char *)"#undef  DK_HAVE__RMDIR",
  (char *)"#endif",
#endif
#if HAVE_FILENO
  (char *)"/*\t\t\t\t\t+\tHAVE_FILENO */",
  (char *)"#ifndef DK_HAVE_FILENO",
  (char *)"#define DK_HAVE_FILENO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FILENO */",
  (char *)"#ifdef  DK_HAVE_FILENO",
  (char *)"#undef  DK_HAVE_FILENO",
  (char *)"#endif",
#endif
#if HAVE_SETPWENT
  (char *)"/*\t\t\t\t\t+\tHAVE_SETPWENT */",
  (char *)"#ifndef DK_HAVE_SETPWENT",
  (char *)"#define DK_HAVE_SETPWENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETPWENT */",
  (char *)"#ifdef  DK_HAVE_SETPWENT",
  (char *)"#undef  DK_HAVE_SETPWENT",
  (char *)"#endif",
#endif
#if HAVE_ENDPWENT
  (char *)"/*\t\t\t\t\t+\tHAVE_ENDPWENT */",
  (char *)"#ifndef DK_HAVE_ENDPWENT",
  (char *)"#define DK_HAVE_ENDPWENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ENDPWENT */",
  (char *)"#ifdef  DK_HAVE_ENDPWENT",
  (char *)"#undef  DK_HAVE_ENDPWENT",
  (char *)"#endif",
#endif
#if HAVE_GETPWENT
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPWENT */",
  (char *)"#ifndef DK_HAVE_GETPWENT",
  (char *)"#define DK_HAVE_GETPWENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPWENT */",
  (char *)"#ifdef  DK_HAVE_GETPWENT",
  (char *)"#undef  DK_HAVE_GETPWENT",
  (char *)"#endif",
#endif
#if HAVE_GETPWNAM
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPWNAM */",
  (char *)"#ifndef DK_HAVE_GETPWNAM",
  (char *)"#define DK_HAVE_GETPWNAM 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPWNAM */",
  (char *)"#ifdef  DK_HAVE_GETPWNAM",
  (char *)"#undef  DK_HAVE_GETPWNAM",
  (char *)"#endif",
#endif
#if HAVE_GETPWUID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPWUID */",
  (char *)"#ifndef DK_HAVE_GETPWUID",
  (char *)"#define DK_HAVE_GETPWUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPWUID */",
  (char *)"#ifdef  DK_HAVE_GETPWUID",
  (char *)"#undef  DK_HAVE_GETPWUID",
  (char *)"#endif",
#endif
#if HAVE_SETGRENT
  (char *)"/*\t\t\t\t\t+\tHAVE_SETGRENT */",
  (char *)"#ifndef DK_HAVE_SETGRENT",
  (char *)"#define DK_HAVE_SETGRENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETGRENT */",
  (char *)"#ifdef  DK_HAVE_SETGRENT",
  (char *)"#undef  DK_HAVE_SETGRENT",
  (char *)"#endif",
#endif
#if HAVE_ENDGRENT
  (char *)"/*\t\t\t\t\t+\tHAVE_ENDGRENT */",
  (char *)"#ifndef DK_HAVE_ENDGRENT",
  (char *)"#define DK_HAVE_ENDGRENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ENDGRENT */",
  (char *)"#ifdef  DK_HAVE_ENDGRENT",
  (char *)"#undef  DK_HAVE_ENDGRENT",
  (char *)"#endif",
#endif
#if HAVE_GETGRENT
  (char *)"/*\t\t\t\t\t+\tHAVE_GETGRENT */",
  (char *)"#ifndef DK_HAVE_GETGRENT",
  (char *)"#define DK_HAVE_GETGRENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETGRENT */",
  (char *)"#ifdef  DK_HAVE_GETGRENT",
  (char *)"#undef  DK_HAVE_GETGRENT",
  (char *)"#endif",
#endif
#if HAVE_GETGRNAM
  (char *)"/*\t\t\t\t\t+\tHAVE_GETGRNAM */",
  (char *)"#ifndef DK_HAVE_GETGRNAM",
  (char *)"#define DK_HAVE_GETGRNAM 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETGRNAM */",
  (char *)"#ifdef  DK_HAVE_GETGRNAM",
  (char *)"#undef  DK_HAVE_GETGRNAM",
  (char *)"#endif",
#endif
#if HAVE_GETGRGID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETGRGID */",
  (char *)"#ifndef DK_HAVE_GETGRGID",
  (char *)"#define DK_HAVE_GETGRGID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETGRGID */",
  (char *)"#ifdef  DK_HAVE_GETGRGID",
  (char *)"#undef  DK_HAVE_GETGRGID",
  (char *)"#endif",
#endif
#if HAVE_SELECT
  (char *)"/*\t\t\t\t\t+\tHAVE_SELECT */",
  (char *)"#ifndef DK_HAVE_SELECT",
  (char *)"#define DK_HAVE_SELECT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SELECT */",
  (char *)"#ifdef  DK_HAVE_SELECT",
  (char *)"#undef  DK_HAVE_SELECT",
  (char *)"#endif",
#endif
#if HAVE_POLL
  (char *)"/*\t\t\t\t\t+\tHAVE_POLL */",
  (char *)"#ifndef DK_HAVE_POLL",
  (char *)"#define DK_HAVE_POLL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_POLL */",
  (char *)"#ifdef  DK_HAVE_POLL",
  (char *)"#undef  DK_HAVE_POLL",
  (char *)"#endif",
#endif
#if HAVE_SOCKET
  (char *)"/*\t\t\t\t\t+\tHAVE_SOCKET */",
  (char *)"#ifndef DK_HAVE_SOCKET",
  (char *)"#define DK_HAVE_SOCKET 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SOCKET */",
  (char *)"#ifdef  DK_HAVE_SOCKET",
  (char *)"#undef  DK_HAVE_SOCKET",
  (char *)"#endif",
#endif
#if HAVE_SETSOCKOPT
  (char *)"/*\t\t\t\t\t+\tHAVE_SETSOCKOPT */",
  (char *)"#ifndef DK_HAVE_SETSOCKOPT",
  (char *)"#define DK_HAVE_SETSOCKOPT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETSOCKOPT */",
  (char *)"#ifdef  DK_HAVE_SETSOCKOPT",
  (char *)"#undef  DK_HAVE_SETSOCKOPT",
  (char *)"#endif",
#endif
#if HAVE_SIGNAL
  (char *)"/*\t\t\t\t\t+\tHAVE_SIGNAL */",
  (char *)"#ifndef DK_HAVE_SIGNAL",
  (char *)"#define DK_HAVE_SIGNAL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIGNAL */",
  (char *)"#ifdef  DK_HAVE_SIGNAL",
  (char *)"#undef  DK_HAVE_SIGNAL",
  (char *)"#endif",
#endif
#if HAVE_SIGSET
  (char *)"/*\t\t\t\t\t+\tHAVE_SIGSET */",
  (char *)"#ifndef DK_HAVE_SIGSET",
  (char *)"#define DK_HAVE_SIGSET 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIGSET */",
  (char *)"#ifdef  DK_HAVE_SIGSET",
  (char *)"#undef  DK_HAVE_SIGSET",
  (char *)"#endif",
#endif
#if HAVE_SIGACTION
  (char *)"/*\t\t\t\t\t+\tHAVE_SIGACTION */",
  (char *)"#ifndef DK_HAVE_SIGACTION",
  (char *)"#define DK_HAVE_SIGACTION 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIGACTION */",
  (char *)"#ifdef  DK_HAVE_SIGACTION",
  (char *)"#undef  DK_HAVE_SIGACTION",
  (char *)"#endif",
#endif
#if HAVE_SYSLOG
  (char *)"/*\t\t\t\t\t+\tHAVE_SYSLOG */",
  (char *)"#ifndef DK_HAVE_SYSLOG",
  (char *)"#define DK_HAVE_SYSLOG 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYSLOG */",
  (char *)"#ifdef  DK_HAVE_SYSLOG",
  (char *)"#undef  DK_HAVE_SYSLOG",
  (char *)"#endif",
#endif
#if HAVE_SETUID
  (char *)"/*\t\t\t\t\t+\tHAVE_SETUID */",
  (char *)"#ifndef DK_HAVE_SETUID",
  (char *)"#define DK_HAVE_SETUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETUID */",
  (char *)"#ifdef  DK_HAVE_SETUID",
  (char *)"#undef  DK_HAVE_SETUID",
  (char *)"#endif",
#endif
#if HAVE_SETEUID
  (char *)"/*\t\t\t\t\t+\tHAVE_SETEUID */",
  (char *)"#ifndef DK_HAVE_SETEUID",
  (char *)"#define DK_HAVE_SETEUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETEUID */",
  (char *)"#ifdef  DK_HAVE_SETEUID",
  (char *)"#undef  DK_HAVE_SETEUID",
  (char *)"#endif",
#endif
#if HAVE_YP_BIND
  (char *)"/*\t\t\t\t\t+\tHAVE_YP_BIND */",
  (char *)"#ifndef DK_HAVE_YP_BIND",
  (char *)"#define DK_HAVE_YP_BIND 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_YP_BIND */",
  (char *)"#ifdef  DK_HAVE_YP_BIND",
  (char *)"#undef  DK_HAVE_YP_BIND",
  (char *)"#endif",
#endif
#if HAVE_RINT
  (char *)"/*\t\t\t\t\t+\tHAVE_RINT */",
  (char *)"#ifndef DK_HAVE_RINT",
  (char *)"#define DK_HAVE_RINT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RINT */",
  (char *)"#ifdef  DK_HAVE_RINT",
  (char *)"#undef  DK_HAVE_RINT",
  (char *)"#endif",
#endif
#if HAVE_STAT
  (char *)"/*\t\t\t\t\t+\tHAVE_STAT */",
  (char *)"#ifndef DK_HAVE_STAT",
  (char *)"#define DK_HAVE_STAT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STAT */",
  (char *)"#ifdef  DK_HAVE_STAT",
  (char *)"#undef  DK_HAVE_STAT",
  (char *)"#endif",
#endif
#if HAVE_MKDIR
  (char *)"/*\t\t\t\t\t+\tHAVE_MKDIR */",
  (char *)"#ifndef DK_HAVE_MKDIR",
  (char *)"#define DK_HAVE_MKDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MKDIR */",
  (char *)"#ifdef  DK_HAVE_MKDIR",
  (char *)"#undef  DK_HAVE_MKDIR",
  (char *)"#endif",
#endif
#if HAVE__MKDIR
  (char *)"/*\t\t\t\t\t+\tHAVE__MKDIR */",
  (char *)"#ifndef DK_HAVE__MKDIR",
  (char *)"#define DK_HAVE__MKDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__MKDIR */",
  (char *)"#ifdef  DK_HAVE__MKDIR",
  (char *)"#undef  DK_HAVE__MKDIR",
  (char *)"#endif",
#endif
#if HAVE_MKDIR2
  (char *)"/*\t\t\t\t\t+\tHAVE_MKDIR2 */",
  (char *)"#ifndef DK_HAVE_MKDIR2",
  (char *)"#define DK_HAVE_MKDIR2 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MKDIR2 */",
  (char *)"#ifdef  DK_HAVE_MKDIR2",
  (char *)"#undef  DK_HAVE_MKDIR2",
  (char *)"#endif",
#endif
#if HAVE_REMOVE
  (char *)"/*\t\t\t\t\t+\tHAVE_REMOVE */",
  (char *)"#ifndef DK_HAVE_REMOVE",
  (char *)"#define DK_HAVE_REMOVE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_REMOVE */",
  (char *)"#ifdef  DK_HAVE_REMOVE",
  (char *)"#undef  DK_HAVE_REMOVE",
  (char *)"#endif",
#endif
#if HAVE_HTONL
  (char *)"/*\t\t\t\t\t+\tHAVE_HTONL */",
  (char *)"#ifndef DK_HAVE_HTONL",
  (char *)"#define DK_HAVE_HTONL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_HTONL */",
  (char *)"#ifdef  DK_HAVE_HTONL",
  (char *)"#undef  DK_HAVE_HTONL",
  (char *)"#endif",
#endif
#if HAVE_GETRLIMIT
  (char *)"/*\t\t\t\t\t+\tHAVE_GETRLIMIT */",
  (char *)"#ifndef DK_HAVE_GETRLIMIT",
  (char *)"#define DK_HAVE_GETRLIMIT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETRLIMIT */",
  (char *)"#ifdef  DK_HAVE_GETRLIMIT",
  (char *)"#undef  DK_HAVE_GETRLIMIT",
  (char *)"#endif",
#endif
#if HAVE_SETSID
  (char *)"/*\t\t\t\t\t+\tHAVE_SETSID */",
  (char *)"#ifndef DK_HAVE_SETSID",
  (char *)"#define DK_HAVE_SETSID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETSID */",
  (char *)"#ifdef  DK_HAVE_SETSID",
  (char *)"#undef  DK_HAVE_SETSID",
  (char *)"#endif",
#endif
#if HAVE_LOCKF
  (char *)"/*\t\t\t\t\t+\tHAVE_LOCKF */",
  (char *)"#ifndef DK_HAVE_LOCKF",
  (char *)"#define DK_HAVE_LOCKF 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LOCKF */",
  (char *)"#ifdef  DK_HAVE_LOCKF",
  (char *)"#undef  DK_HAVE_LOCKF",
  (char *)"#endif",
#endif
#if HAVE_FLOCK
  (char *)"/*\t\t\t\t\t+\tHAVE_FLOCK */",
  (char *)"#ifndef DK_HAVE_FLOCK",
  (char *)"#define DK_HAVE_FLOCK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FLOCK */",
  (char *)"#ifdef  DK_HAVE_FLOCK",
  (char *)"#undef  DK_HAVE_FLOCK",
  (char *)"#endif",
#endif
#if HAVE_LOCK
  (char *)"/*\t\t\t\t\t+\tHAVE_LOCK */",
  (char *)"#ifndef DK_HAVE_LOCK",
  (char *)"#define DK_HAVE_LOCK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LOCK */",
  (char *)"#ifdef  DK_HAVE_LOCK",
  (char *)"#undef  DK_HAVE_LOCK",
  (char *)"#endif",
#endif
#if HAVE_STDLIB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STDLIB_H */",
  (char *)"#ifndef DK_HAVE_STDLIB_H",
  (char *)"#define DK_HAVE_STDLIB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STDLIB_H */",
  (char *)"#ifdef  DK_HAVE_STDLIB_H",
  (char *)"#undef  DK_HAVE_STDLIB_H",
  (char *)"#endif",
#endif
#if HAVE_SIGNAL_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SIGNAL_H */",
  (char *)"#ifndef DK_HAVE_SIGNAL_H",
  (char *)"#define DK_HAVE_SIGNAL_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIGNAL_H */",
  (char *)"#ifdef  DK_HAVE_SIGNAL_H",
  (char *)"#undef  DK_HAVE_SIGNAL_H",
  (char *)"#endif",
#endif
#if HAVE_IO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_IO_H */",
  (char *)"#ifndef DK_HAVE_IO_H",
  (char *)"#define DK_HAVE_IO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_IO_H */",
  (char *)"#ifdef  DK_HAVE_IO_H",
  (char *)"#undef  DK_HAVE_IO_H",
  (char *)"#endif",
#endif
#if HAVE_STDDEF_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STDDEF_H */",
  (char *)"#ifndef DK_HAVE_STDDEF_H",
  (char *)"#define DK_HAVE_STDDEF_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STDDEF_H */",
  (char *)"#ifdef  DK_HAVE_STDDEF_H",
  (char *)"#undef  DK_HAVE_STDDEF_H",
  (char *)"#endif",
#endif
#if HAVE_CTYPE_H
  (char *)"/*\t\t\t\t\t+\tHAVE_CTYPE_H */",
  (char *)"#ifndef DK_HAVE_CTYPE_H",
  (char *)"#define DK_HAVE_CTYPE_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CTYPE_H */",
  (char *)"#ifdef  DK_HAVE_CTYPE_H",
  (char *)"#undef  DK_HAVE_CTYPE_H",
  (char *)"#endif",
#endif
#if HAVE_STRING_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STRING_H */",
  (char *)"#ifndef DK_HAVE_STRING_H",
  (char *)"#define DK_HAVE_STRING_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRING_H */",
  (char *)"#ifdef  DK_HAVE_STRING_H",
  (char *)"#undef  DK_HAVE_STRING_H",
  (char *)"#endif",
#endif
#if HAVE_STRINGS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STRINGS_H */",
  (char *)"#ifndef DK_HAVE_STRINGS_H",
  (char *)"#define DK_HAVE_STRINGS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRINGS_H */",
  (char *)"#ifdef  DK_HAVE_STRINGS_H",
  (char *)"#undef  DK_HAVE_STRINGS_H",
  (char *)"#endif",
#endif
#if HAVE_UNISTD_H
  (char *)"/*\t\t\t\t\t+\tHAVE_UNISTD_H */",
  (char *)"#ifndef DK_HAVE_UNISTD_H",
  (char *)"#define DK_HAVE_UNISTD_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_UNISTD_H */",
  (char *)"#ifdef  DK_HAVE_UNISTD_H",
  (char *)"#undef  DK_HAVE_UNISTD_H",
  (char *)"#endif",
#endif
#if HAVE_PROCESS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_PROCESS_H */",
  (char *)"#ifndef DK_HAVE_PROCESS_H",
  (char *)"#define DK_HAVE_PROCESS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_PROCESS_H */",
  (char *)"#ifdef  DK_HAVE_PROCESS_H",
  (char *)"#undef  DK_HAVE_PROCESS_H",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_DLL
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_DLL */",
  (char *)"#ifndef DK_HAVE_FEATURE_DLL",
  (char *)"#define DK_HAVE_FEATURE_DLL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_DLL */",
  (char *)"#ifdef  DK_HAVE_FEATURE_DLL",
  (char *)"#undef  DK_HAVE_FEATURE_DLL",
  (char *)"#endif",
#endif
#if USE_FEATURE_DLL
  (char *)"/*\t\t\t\t\t+\tUSE_FEATURE_DLL */",
  (char *)"#ifndef DK_USE_FEATURE_DLL",
  (char *)"#define DK_USE_FEATURE_DLL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tUSE_FEATURE_DLL */",
  (char *)"#ifdef  DK_USE_FEATURE_DLL",
  (char *)"#undef  DK_USE_FEATURE_DLL",
  (char *)"#endif",
#endif
#if HAVE_SYS_TYPES_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_TYPES_H */",
  (char *)"#ifndef DK_HAVE_SYS_TYPES_H",
  (char *)"#define DK_HAVE_SYS_TYPES_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_TYPES_H */",
  (char *)"#ifdef  DK_HAVE_SYS_TYPES_H",
  (char *)"#undef  DK_HAVE_SYS_TYPES_H",
  (char *)"#endif",
#endif
#if HAVE_STROPTS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STROPTS_H */",
  (char *)"#ifndef DK_HAVE_STROPTS_H",
  (char *)"#define DK_HAVE_STROPTS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STROPTS_H */",
  (char *)"#ifdef  DK_HAVE_STROPTS_H",
  (char *)"#undef  DK_HAVE_STROPTS_H",
  (char *)"#endif",
#endif
#if HAVE_ERRNO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_ERRNO_H */",
  (char *)"#ifndef DK_HAVE_ERRNO_H",
  (char *)"#define DK_HAVE_ERRNO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ERRNO_H */",
  (char *)"#ifdef  DK_HAVE_ERRNO_H",
  (char *)"#undef  DK_HAVE_ERRNO_H",
  (char *)"#endif",
#endif
#if HAVE_LIMITS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_LIMITS_H */",
  (char *)"#ifndef DK_HAVE_LIMITS_H",
  (char *)"#define DK_HAVE_LIMITS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LIMITS_H */",
  (char *)"#ifdef  DK_HAVE_LIMITS_H",
  (char *)"#undef  DK_HAVE_LIMITS_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_PARAM_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_PARAM_H */",
  (char *)"#ifndef DK_HAVE_SYS_PARAM_H",
  (char *)"#define DK_HAVE_SYS_PARAM_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_PARAM_H */",
  (char *)"#ifdef  DK_HAVE_SYS_PARAM_H",
  (char *)"#undef  DK_HAVE_SYS_PARAM_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_TIME_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_TIME_H */",
  (char *)"#ifndef DK_HAVE_SYS_TIME_H",
  (char *)"#define DK_HAVE_SYS_TIME_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_TIME_H */",
  (char *)"#ifdef  DK_HAVE_SYS_TIME_H",
  (char *)"#undef  DK_HAVE_SYS_TIME_H",
  (char *)"#endif",
#endif
#if HAVE_TIME_H
  (char *)"/*\t\t\t\t\t+\tHAVE_TIME_H */",
  (char *)"#ifndef DK_HAVE_TIME_H",
  (char *)"#define DK_HAVE_TIME_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_TIME_H */",
  (char *)"#ifdef  DK_HAVE_TIME_H",
  (char *)"#undef  DK_HAVE_TIME_H",
  (char *)"#endif",
#endif
#if TIME_WITH_SYS_TIME
  (char *)"/*\t\t\t\t\t+\tTIME_WITH_SYS_TIME */",
  (char *)"#ifndef DK_TIME_WITH_SYS_TIME",
  (char *)"#define DK_TIME_WITH_SYS_TIME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tTIME_WITH_SYS_TIME */",
  (char *)"#ifdef  DK_TIME_WITH_SYS_TIME",
  (char *)"#undef  DK_TIME_WITH_SYS_TIME",
  (char *)"#endif",
#endif
#if HAVE_SYS_STAT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_STAT_H */",
  (char *)"#ifndef DK_HAVE_SYS_STAT_H",
  (char *)"#define DK_HAVE_SYS_STAT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_STAT_H */",
  (char *)"#ifdef  DK_HAVE_SYS_STAT_H",
  (char *)"#undef  DK_HAVE_SYS_STAT_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_STATVFS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_STATVFS_H */",
  (char *)"#ifndef DK_HAVE_SYS_STATVFS_H",
  (char *)"#define DK_HAVE_SYS_STATVFS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_STATVFS_H */",
  (char *)"#ifdef  DK_HAVE_SYS_STATVFS_H",
  (char *)"#undef  DK_HAVE_SYS_STATVFS_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_STROPTS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_STROPTS_H */",
  (char *)"#ifndef DK_HAVE_SYS_STROPTS_H",
  (char *)"#define DK_HAVE_SYS_STROPTS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_STROPTS_H */",
  (char *)"#ifdef  DK_HAVE_SYS_STROPTS_H",
  (char *)"#undef  DK_HAVE_SYS_STROPTS_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_FILE_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_FILE_H */",
  (char *)"#ifndef DK_HAVE_SYS_FILE_H",
  (char *)"#define DK_HAVE_SYS_FILE_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_FILE_H */",
  (char *)"#ifdef  DK_HAVE_SYS_FILE_H",
  (char *)"#undef  DK_HAVE_SYS_FILE_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_UIO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_UIO_H */",
  (char *)"#ifndef DK_HAVE_SYS_UIO_H",
  (char *)"#define DK_HAVE_SYS_UIO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_UIO_H */",
  (char *)"#ifdef  DK_HAVE_SYS_UIO_H",
  (char *)"#undef  DK_HAVE_SYS_UIO_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_UN_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_UN_H */",
  (char *)"#ifndef DK_HAVE_SYS_UN_H",
  (char *)"#define DK_HAVE_SYS_UN_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_UN_H */",
  (char *)"#ifdef  DK_HAVE_SYS_UN_H",
  (char *)"#undef  DK_HAVE_SYS_UN_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_SUNDDI_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_SUNDDI_H */",
  (char *)"#ifndef DK_HAVE_SYS_SUNDDI_H",
  (char *)"#define DK_HAVE_SYS_SUNDDI_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_SUNDDI_H */",
  (char *)"#ifdef  DK_HAVE_SYS_SUNDDI_H",
  (char *)"#undef  DK_HAVE_SYS_SUNDDI_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_RESOURCE_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_RESOURCE_H */",
  (char *)"#ifndef DK_HAVE_SYS_RESOURCE_H",
  (char *)"#define DK_HAVE_SYS_RESOURCE_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_RESOURCE_H */",
  (char *)"#ifdef  DK_HAVE_SYS_RESOURCE_H",
  (char *)"#undef  DK_HAVE_SYS_RESOURCE_H",
  (char *)"#endif",
#endif
#if HAVE_BIOS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_BIOS_H */",
  (char *)"#ifndef DK_HAVE_BIOS_H",
  (char *)"#define DK_HAVE_BIOS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BIOS_H */",
  (char *)"#ifdef  DK_HAVE_BIOS_H",
  (char *)"#undef  DK_HAVE_BIOS_H",
  (char *)"#endif",
#endif
#if HAVE_DIR_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DIR_H */",
  (char *)"#ifndef DK_HAVE_DIR_H",
  (char *)"#define DK_HAVE_DIR_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DIR_H */",
  (char *)"#ifdef  DK_HAVE_DIR_H",
  (char *)"#undef  DK_HAVE_DIR_H",
  (char *)"#endif",
#endif
#if HAVE_DIRENT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DIRENT_H */",
  (char *)"#ifndef DK_HAVE_DIRENT_H",
  (char *)"#define DK_HAVE_DIRENT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DIRENT_H */",
  (char *)"#ifdef  DK_HAVE_DIRENT_H",
  (char *)"#undef  DK_HAVE_DIRENT_H",
  (char *)"#endif",
#endif
#if HAVE_DIRECT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DIRECT_H */",
  (char *)"#ifndef DK_HAVE_DIRECT_H",
  (char *)"#define DK_HAVE_DIRECT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DIRECT_H */",
  (char *)"#ifdef  DK_HAVE_DIRECT_H",
  (char *)"#undef  DK_HAVE_DIRECT_H",
  (char *)"#endif",
#endif
#if HAVE_MALLOC_H
  (char *)"/*\t\t\t\t\t+\tHAVE_MALLOC_H */",
  (char *)"#ifndef DK_HAVE_MALLOC_H",
  (char *)"#define DK_HAVE_MALLOC_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MALLOC_H */",
  (char *)"#ifdef  DK_HAVE_MALLOC_H",
  (char *)"#undef  DK_HAVE_MALLOC_H",
  (char *)"#endif",
#endif
#if HAVE_ALLOC_H
  (char *)"/*\t\t\t\t\t+\tHAVE_ALLOC_H */",
  (char *)"#ifndef DK_HAVE_ALLOC_H",
  (char *)"#define DK_HAVE_ALLOC_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ALLOC_H */",
  (char *)"#ifdef  DK_HAVE_ALLOC_H",
  (char *)"#undef  DK_HAVE_ALLOC_H",
  (char *)"#endif",
#endif
#if HAVE_DOS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DOS_H */",
  (char *)"#ifndef DK_HAVE_DOS_H",
  (char *)"#define DK_HAVE_DOS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DOS_H */",
  (char *)"#ifdef  DK_HAVE_DOS_H",
  (char *)"#undef  DK_HAVE_DOS_H",
  (char *)"#endif",
#endif
#if HAVE_SYSRES_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYSRES_H */",
  (char *)"#ifndef DK_HAVE_SYSRES_H",
  (char *)"#define DK_HAVE_SYSRES_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYSRES_H */",
  (char *)"#ifdef  DK_HAVE_SYSRES_H",
  (char *)"#undef  DK_HAVE_SYSRES_H",
  (char *)"#endif",
#endif
#if HAVE_XTI_H
  (char *)"/*\t\t\t\t\t+\tHAVE_XTI_H */",
  (char *)"#ifndef DK_HAVE_XTI_H",
  (char *)"#define DK_HAVE_XTI_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_XTI_H */",
  (char *)"#ifdef  DK_HAVE_XTI_H",
  (char *)"#undef  DK_HAVE_XTI_H",
  (char *)"#endif",
#endif
#if HAVE_TIUSER_H
  (char *)"/*\t\t\t\t\t+\tHAVE_TIUSER_H */",
  (char *)"#ifndef DK_HAVE_TIUSER_H",
  (char *)"#define DK_HAVE_TIUSER_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_TIUSER_H */",
  (char *)"#ifdef  DK_HAVE_TIUSER_H",
  (char *)"#undef  DK_HAVE_TIUSER_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_SOCKET_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_SOCKET_H */",
  (char *)"#ifndef DK_HAVE_SYS_SOCKET_H",
  (char *)"#define DK_HAVE_SYS_SOCKET_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_SOCKET_H */",
  (char *)"#ifdef  DK_HAVE_SYS_SOCKET_H",
  (char *)"#undef  DK_HAVE_SYS_SOCKET_H",
  (char *)"#endif",
#endif
#if HAVE_WINDOWS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WINDOWS_H */",
  (char *)"#ifndef DK_HAVE_WINDOWS_H",
  (char *)"#define DK_HAVE_WINDOWS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WINDOWS_H */",
  (char *)"#ifdef  DK_HAVE_WINDOWS_H",
  (char *)"#undef  DK_HAVE_WINDOWS_H",
  (char *)"#endif",
#endif
#if HAVE_WINBASE_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WINBASE_H */",
  (char *)"#ifndef DK_HAVE_WINBASE_H",
  (char *)"#define DK_HAVE_WINBASE_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WINBASE_H */",
  (char *)"#ifdef  DK_HAVE_WINBASE_H",
  (char *)"#undef  DK_HAVE_WINBASE_H",
  (char *)"#endif",
#endif
#if HAVE_WINREG_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WINREG_H */",
  (char *)"#ifndef DK_HAVE_WINREG_H",
  (char *)"#define DK_HAVE_WINREG_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WINREG_H */",
  (char *)"#ifdef  DK_HAVE_WINREG_H",
  (char *)"#undef  DK_HAVE_WINREG_H",
  (char *)"#endif",
#endif
#if HAVE_WINSOCK2_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WINSOCK2_H */",
  (char *)"#ifndef DK_HAVE_WINSOCK2_H",
  (char *)"#define DK_HAVE_WINSOCK2_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WINSOCK2_H */",
  (char *)"#ifdef  DK_HAVE_WINSOCK2_H",
  (char *)"#undef  DK_HAVE_WINSOCK2_H",
  (char *)"#endif",
#endif
#if HAVE_NETINET_IN_H
  (char *)"/*\t\t\t\t\t+\tHAVE_NETINET_IN_H */",
  (char *)"#ifndef DK_HAVE_NETINET_IN_H",
  (char *)"#define DK_HAVE_NETINET_IN_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NETINET_IN_H */",
  (char *)"#ifdef  DK_HAVE_NETINET_IN_H",
  (char *)"#undef  DK_HAVE_NETINET_IN_H",
  (char *)"#endif",
#endif
#if HAVE_ARPA_INET_H
  (char *)"/*\t\t\t\t\t+\tHAVE_ARPA_INET_H */",
  (char *)"#ifndef DK_HAVE_ARPA_INET_H",
  (char *)"#define DK_HAVE_ARPA_INET_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ARPA_INET_H */",
  (char *)"#ifdef  DK_HAVE_ARPA_INET_H",
  (char *)"#undef  DK_HAVE_ARPA_INET_H",
  (char *)"#endif",
#endif
#if HAVE_NETDB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_NETDB_H */",
  (char *)"#ifndef DK_HAVE_NETDB_H",
  (char *)"#define DK_HAVE_NETDB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NETDB_H */",
  (char *)"#ifdef  DK_HAVE_NETDB_H",
  (char *)"#undef  DK_HAVE_NETDB_H",
  (char *)"#endif",
#endif
#if HAVE_RPCSVC_YP_PROT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_RPCSVC_YP_PROT_H */",
  (char *)"#ifndef DK_HAVE_RPCSVC_YP_PROT_H",
  (char *)"#define DK_HAVE_RPCSVC_YP_PROT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RPCSVC_YP_PROT_H */",
  (char *)"#ifdef  DK_HAVE_RPCSVC_YP_PROT_H",
  (char *)"#undef  DK_HAVE_RPCSVC_YP_PROT_H",
  (char *)"#endif",
#endif
#if HAVE_RPCSVC_YPCLNT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_RPCSVC_YPCLNT_H */",
  (char *)"#ifndef DK_HAVE_RPCSVC_YPCLNT_H",
  (char *)"#define DK_HAVE_RPCSVC_YPCLNT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RPCSVC_YPCLNT_H */",
  (char *)"#ifdef  DK_HAVE_RPCSVC_YPCLNT_H",
  (char *)"#undef  DK_HAVE_RPCSVC_YPCLNT_H",
  (char *)"#endif",
#endif
#if HAVE_GRP_H
  (char *)"/*\t\t\t\t\t+\tHAVE_GRP_H */",
  (char *)"#ifndef DK_HAVE_GRP_H",
  (char *)"#define DK_HAVE_GRP_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GRP_H */",
  (char *)"#ifdef  DK_HAVE_GRP_H",
  (char *)"#undef  DK_HAVE_GRP_H",
  (char *)"#endif",
#endif
#if HAVE_PWD_H
  (char *)"/*\t\t\t\t\t+\tHAVE_PWD_H */",
  (char *)"#ifndef DK_HAVE_PWD_H",
  (char *)"#define DK_HAVE_PWD_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_PWD_H */",
  (char *)"#ifdef  DK_HAVE_PWD_H",
  (char *)"#undef  DK_HAVE_PWD_H",
  (char *)"#endif",
#endif
#if HAVE_VOLATILE
  (char *)"/*\t\t\t\t\t+\tHAVE_VOLATILE */",
  (char *)"#ifndef DK_HAVE_VOLATILE",
  (char *)"#define DK_HAVE_VOLATILE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_VOLATILE */",
  (char *)"#ifdef  DK_HAVE_VOLATILE",
  (char *)"#undef  DK_HAVE_VOLATILE",
  (char *)"#endif",
#endif
#if HAVE_UNLINK
  (char *)"/*\t\t\t\t\t+\tHAVE_UNLINK */",
  (char *)"#ifndef DK_HAVE_UNLINK",
  (char *)"#define DK_HAVE_UNLINK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_UNLINK */",
  (char *)"#ifdef  DK_HAVE_UNLINK",
  (char *)"#undef  DK_HAVE_UNLINK",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_DOS
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_DOS */",
  (char *)"#ifndef DK_HAVE_FEATURE_DOS",
  (char *)"#define DK_HAVE_FEATURE_DOS 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_DOS */",
  (char *)"#ifdef  DK_HAVE_FEATURE_DOS",
  (char *)"#undef  DK_HAVE_FEATURE_DOS",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_BACKSLASH
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_BACKSLASH */",
  (char *)"#ifndef DK_HAVE_FEATURE_BACKSLASH",
  (char *)"#define DK_HAVE_FEATURE_BACKSLASH 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_BACKSLASH */",
  (char *)"#ifdef  DK_HAVE_FEATURE_BACKSLASH",
  (char *)"#undef  DK_HAVE_FEATURE_BACKSLASH",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_ALLDOTALL
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_ALLDOTALL */",
  (char *)"#ifndef DK_HAVE_FEATURE_ALLDOTALL",
  (char *)"#define DK_HAVE_FEATURE_ALLDOTALL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_ALLDOTALL */",
  (char *)"#ifdef  DK_HAVE_FEATURE_ALLDOTALL",
  (char *)"#undef  DK_HAVE_FEATURE_ALLDOTALL",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_DRIVECHAR
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_DRIVECHAR */",
  (char *)"#ifndef DK_HAVE_FEATURE_DRIVECHAR",
  (char *)"#define DK_HAVE_FEATURE_DRIVECHAR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_DRIVECHAR */",
  (char *)"#ifdef  DK_HAVE_FEATURE_DRIVECHAR",
  (char *)"#undef  DK_HAVE_FEATURE_DRIVECHAR",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_FN83
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_FN83 */",
  (char *)"#ifndef DK_HAVE_FEATURE_FN83",
  (char *)"#define DK_HAVE_FEATURE_FN83 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_FN83 */",
  (char *)"#ifdef  DK_HAVE_FEATURE_FN83",
  (char *)"#undef  DK_HAVE_FEATURE_FN83",
  (char *)"#endif",
#endif
#if HAVE_FINDFIRST
  (char *)"/*\t\t\t\t\t+\tHAVE_FINDFIRST */",
  (char *)"#ifndef DK_HAVE_FINDFIRST",
  (char *)"#define DK_HAVE_FINDFIRST 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FINDFIRST */",
  (char *)"#ifdef  DK_HAVE_FINDFIRST",
  (char *)"#undef  DK_HAVE_FINDFIRST",
  (char *)"#endif",
#endif
#if HAVE_FINDFIRST32
  (char *)"/*\t\t\t\t\t+\tHAVE_FINDFIRST32 */",
  (char *)"#ifndef DK_HAVE_FINDFIRST32",
  (char *)"#define DK_HAVE_FINDFIRST32 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FINDFIRST32 */",
  (char *)"#ifdef  DK_HAVE_FINDFIRST32",
  (char *)"#undef  DK_HAVE_FINDFIRST32",
  (char *)"#endif",
#endif
#if HAVE__GETCWD
  (char *)"/*\t\t\t\t\t+\tHAVE__GETCWD */",
  (char *)"#ifndef DK_HAVE__GETCWD",
  (char *)"#define DK_HAVE__GETCWD 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__GETCWD */",
  (char *)"#ifdef  DK_HAVE__GETCWD",
  (char *)"#undef  DK_HAVE__GETCWD",
  (char *)"#endif",
#endif
#if HAVE__OPEN
  (char *)"/*\t\t\t\t\t+\tHAVE__OPEN */",
  (char *)"#ifndef DK_HAVE__OPEN",
  (char *)"#define DK_HAVE__OPEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__OPEN */",
  (char *)"#ifdef  DK_HAVE__OPEN",
  (char *)"#undef  DK_HAVE__OPEN",
  (char *)"#endif",
#endif
#if HAVE__CLOSE
  (char *)"/*\t\t\t\t\t+\tHAVE__CLOSE */",
  (char *)"#ifndef DK_HAVE__CLOSE",
  (char *)"#define DK_HAVE__CLOSE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__CLOSE */",
  (char *)"#ifdef  DK_HAVE__CLOSE",
  (char *)"#undef  DK_HAVE__CLOSE",
  (char *)"#endif",
#endif
#if HAVE__READ
  (char *)"/*\t\t\t\t\t+\tHAVE__READ */",
  (char *)"#ifndef DK_HAVE__READ",
  (char *)"#define DK_HAVE__READ 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__READ */",
  (char *)"#ifdef  DK_HAVE__READ",
  (char *)"#undef  DK_HAVE__READ",
  (char *)"#endif",
#endif
#if HAVE__WRITE
  (char *)"/*\t\t\t\t\t+\tHAVE__WRITE */",
  (char *)"#ifndef DK_HAVE__WRITE",
  (char *)"#define DK_HAVE__WRITE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__WRITE */",
  (char *)"#ifdef  DK_HAVE__WRITE",
  (char *)"#undef  DK_HAVE__WRITE",
  (char *)"#endif",
#endif
#if HAVE__STAT
  (char *)"/*\t\t\t\t\t+\tHAVE__STAT */",
  (char *)"#ifndef DK_HAVE__STAT",
  (char *)"#define DK_HAVE__STAT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__STAT */",
  (char *)"#ifdef  DK_HAVE__STAT",
  (char *)"#undef  DK_HAVE__STAT",
  (char *)"#endif",
#endif
#if HAVE__LSTAT
  (char *)"/*\t\t\t\t\t+\tHAVE__LSTAT */",
  (char *)"#ifndef DK_HAVE__LSTAT",
  (char *)"#define DK_HAVE__LSTAT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__LSTAT */",
  (char *)"#ifdef  DK_HAVE__LSTAT",
  (char *)"#undef  DK_HAVE__LSTAT",
  (char *)"#endif",
#endif
#if HAVE__MKDIR
  (char *)"/*\t\t\t\t\t+\tHAVE__MKDIR */",
  (char *)"#ifndef DK_HAVE__MKDIR",
  (char *)"#define DK_HAVE__MKDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__MKDIR */",
  (char *)"#ifdef  DK_HAVE__MKDIR",
  (char *)"#undef  DK_HAVE__MKDIR",
  (char *)"#endif",
#endif
#if HAVE__REMOVE
  (char *)"/*\t\t\t\t\t+\tHAVE__REMOVE */",
  (char *)"#ifndef DK_HAVE__REMOVE",
  (char *)"#define DK_HAVE__REMOVE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__REMOVE */",
  (char *)"#ifdef  DK_HAVE__REMOVE",
  (char *)"#undef  DK_HAVE__REMOVE",
  (char *)"#endif",
#endif
#if HAVE__FILENO
  (char *)"/*\t\t\t\t\t+\tHAVE__FILENO */",
  (char *)"#ifndef DK_HAVE__FILENO",
  (char *)"#define DK_HAVE__FILENO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__FILENO */",
  (char *)"#ifdef  DK_HAVE__FILENO",
  (char *)"#undef  DK_HAVE__FILENO",
  (char *)"#endif",
#endif
#if HAVE__LOCKING
  (char *)"/*\t\t\t\t\t+\tHAVE__LOCKING */",
  (char *)"#ifndef DK_HAVE__LOCKING",
  (char *)"#define DK_HAVE__LOCKING 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__LOCKING */",
  (char *)"#ifdef  DK_HAVE__LOCKING",
  (char *)"#undef  DK_HAVE__LOCKING",
  (char *)"#endif",
#endif
#if WORDS_BIGENDIAN
  (char *)"/*\t\t\t\t\t+\tWORDS_BIGENDIAN */",
  (char *)"#ifndef DK_WORDS_BIGENDIAN",
  (char *)"#define DK_WORDS_BIGENDIAN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tWORDS_BIGENDIAN */",
  (char *)"#ifdef  DK_WORDS_BIGENDIAN",
  (char *)"#undef  DK_WORDS_BIGENDIAN",
  (char *)"#endif",
#endif
#if HAVE_SYS_SYSTEMINFO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_SYSTEMINFO_H */",
  (char *)"#ifndef DK_HAVE_SYS_SYSTEMINFO_H",
  (char *)"#define DK_HAVE_SYS_SYSTEMINFO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_SYSTEMINFO_H */",
  (char *)"#ifdef  DK_HAVE_SYS_SYSTEMINFO_H",
  (char *)"#undef  DK_HAVE_SYS_SYSTEMINFO_H",
  (char *)"#endif",
#endif
#if HAVE_MATH_H
  (char *)"/*\t\t\t\t\t+\tHAVE_MATH_H */",
  (char *)"#ifndef DK_HAVE_MATH_H",
  (char *)"#define DK_HAVE_MATH_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MATH_H */",
  (char *)"#ifdef  DK_HAVE_MATH_H",
  (char *)"#undef  DK_HAVE_MATH_H",
  (char *)"#endif",
#endif
#if HAVE_SYSLOG_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYSLOG_H */",
  (char *)"#ifndef DK_HAVE_SYSLOG_H",
  (char *)"#define DK_HAVE_SYSLOG_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYSLOG_H */",
  (char *)"#ifdef  DK_HAVE_SYSLOG_H",
  (char *)"#undef  DK_HAVE_SYSLOG_H",
  (char *)"#endif",
#endif
#if HAVE_ZLIB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_ZLIB_H */",
  (char *)"#ifndef DK_HAVE_ZLIB_H",
  (char *)"#define DK_HAVE_ZLIB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ZLIB_H */",
  (char *)"#ifdef  DK_HAVE_ZLIB_H",
  (char *)"#undef  DK_HAVE_ZLIB_H",
  (char *)"#endif",
#endif
#if HAVE_BZLIB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_BZLIB_H */",
  (char *)"#ifndef DK_HAVE_BZLIB_H",
  (char *)"#define DK_HAVE_BZLIB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BZLIB_H */",
  (char *)"#ifdef  DK_HAVE_BZLIB_H",
  (char *)"#undef  DK_HAVE_BZLIB_H",
  (char *)"#endif",
#endif
#if HAVE_SYSINFO
  (char *)"/*\t\t\t\t\t+\tHAVE_SYSINFO */",
  (char *)"#ifndef DK_HAVE_SYSINFO",
  (char *)"#define DK_HAVE_SYSINFO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYSINFO */",
  (char *)"#ifdef  DK_HAVE_SYSINFO",
  (char *)"#undef  DK_HAVE_SYSINFO",
  (char *)"#endif",
#endif
#if HAVE_CONIO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_CONIO_H */",
  (char *)"#ifndef DK_HAVE_CONIO_H",
  (char *)"#define DK_HAVE_CONIO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CONIO_H */",
  (char *)"#ifdef  DK_HAVE_CONIO_H",
  (char *)"#undef  DK_HAVE_CONIO_H",
  (char *)"#endif",
#endif
#if HAVE_NDBM_H
  (char *)"/*\t\t\t\t\t+\tHAVE_NDBM_H */",
  (char *)"#ifndef DK_HAVE_NDBM_H",
  (char *)"#define DK_HAVE_NDBM_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NDBM_H */",
  (char *)"#ifdef  DK_HAVE_NDBM_H",
  (char *)"#undef  DK_HAVE_NDBM_H",
  (char *)"#endif",
#endif
#if HAVE_GDBM_H
  (char *)"/*\t\t\t\t\t+\tHAVE_GDBM_H */",
  (char *)"#ifndef DK_HAVE_GDBM_H",
  (char *)"#define DK_HAVE_GDBM_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GDBM_H */",
  (char *)"#ifdef  DK_HAVE_GDBM_H",
  (char *)"#undef  DK_HAVE_GDBM_H",
  (char *)"#endif",
#endif
#if HAVE_DB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DB_H */",
  (char *)"#ifndef DK_HAVE_DB_H",
  (char *)"#define DK_HAVE_DB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DB_H */",
  (char *)"#ifdef  DK_HAVE_DB_H",
  (char *)"#undef  DK_HAVE_DB_H",
  (char *)"#endif",
#endif
#if HAVE__GETCH
  (char *)"/*\t\t\t\t\t+\tHAVE__GETCH */",
  (char *)"#ifndef DK_HAVE__GETCH",
  (char *)"#define DK_HAVE__GETCH 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__GETCH */",
  (char *)"#ifdef  DK_HAVE__GETCH",
  (char *)"#undef  DK_HAVE__GETCH",
  (char *)"#endif",
#endif
#if HAVE__KBHIT
  (char *)"/*\t\t\t\t\t+\tHAVE__KBHIT */",
  (char *)"#ifndef DK_HAVE__KBHIT",
  (char *)"#define DK_HAVE__KBHIT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__KBHIT */",
  (char *)"#ifdef  DK_HAVE__KBHIT",
  (char *)"#undef  DK_HAVE__KBHIT",
  (char *)"#endif",
#endif
#if HAVE_SLEEP
  (char *)"/*\t\t\t\t\t+\tHAVE_SLEEP */",
  (char *)"#ifndef DK_HAVE_SLEEP",
  (char *)"#define DK_HAVE_SLEEP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SLEEP */",
  (char *)"#ifdef  DK_HAVE_SLEEP",
  (char *)"#undef  DK_HAVE_SLEEP",
  (char *)"#endif",
#endif
#if HAVE_GETMODULEFILENAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETMODULEFILENAME */",
  (char *)"#ifndef DK_HAVE_GETMODULEFILENAME",
  (char *)"#define DK_HAVE_GETMODULEFILENAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETMODULEFILENAME */",
  (char *)"#ifdef  DK_HAVE_GETMODULEFILENAME",
  (char *)"#undef  DK_HAVE_GETMODULEFILENAME",
  (char *)"#endif",
#endif
#if HAVE_GETMODULEHANDLE
  (char *)"/*\t\t\t\t\t+\tHAVE_GETMODULEHANDLE */",
  (char *)"#ifndef DK_HAVE_GETMODULEHANDLE",
  (char *)"#define DK_HAVE_GETMODULEHANDLE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETMODULEHANDLE */",
  (char *)"#ifdef  DK_HAVE_GETMODULEHANDLE",
  (char *)"#undef  DK_HAVE_GETMODULEHANDLE",
  (char *)"#endif",
#endif
#if HAVE_GETCOMPUTERNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETCOMPUTERNAME */",
  (char *)"#ifndef DK_HAVE_GETCOMPUTERNAME",
  (char *)"#define DK_HAVE_GETCOMPUTERNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETCOMPUTERNAME */",
  (char *)"#ifdef  DK_HAVE_GETCOMPUTERNAME",
  (char *)"#undef  DK_HAVE_GETCOMPUTERNAME",
  (char *)"#endif",
#endif
#if HAVE_GETWINDOWSDIRECTORY
  (char *)"/*\t\t\t\t\t+\tHAVE_GETWINDOWSDIRECTORY */",
  (char *)"#ifndef DK_HAVE_GETWINDOWSDIRECTORY",
  (char *)"#define DK_HAVE_GETWINDOWSDIRECTORY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETWINDOWSDIRECTORY */",
  (char *)"#ifdef  DK_HAVE_GETWINDOWSDIRECTORY",
  (char *)"#undef  DK_HAVE_GETWINDOWSDIRECTORY",
  (char *)"#endif",
#endif
#if HAVE_GETSYSTEMDIRECTORY
  (char *)"/*\t\t\t\t\t+\tHAVE_GETSYSTEMDIRECTORY */",
  (char *)"#ifndef DK_HAVE_GETSYSTEMDIRECTORY",
  (char *)"#define DK_HAVE_GETSYSTEMDIRECTORY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETSYSTEMDIRECTORY */",
  (char *)"#ifdef  DK_HAVE_GETSYSTEMDIRECTORY",
  (char *)"#undef  DK_HAVE_GETSYSTEMDIRECTORY",
  (char *)"#endif",
#endif
#if HAVE_GETCURRENTDIRECTORY
  (char *)"/*\t\t\t\t\t+\tHAVE_GETCURRENTDIRECTORY */",
  (char *)"#ifndef DK_HAVE_GETCURRENTDIRECTORY",
  (char *)"#define DK_HAVE_GETCURRENTDIRECTORY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETCURRENTDIRECTORY */",
  (char *)"#ifdef  DK_HAVE_GETCURRENTDIRECTORY",
  (char *)"#undef  DK_HAVE_GETCURRENTDIRECTORY",
  (char *)"#endif",
#endif
#if HAVE_GETCURRENTPROCESSID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETCURRENTPROCESSID */",
  (char *)"#ifndef DK_HAVE_GETCURRENTPROCESSID",
  (char *)"#define DK_HAVE_GETCURRENTPROCESSID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETCURRENTPROCESSID */",
  (char *)"#ifdef  DK_HAVE_GETCURRENTPROCESSID",
  (char *)"#undef  DK_HAVE_GETCURRENTPROCESSID",
  (char *)"#endif",
#endif
#if HAVE_GETUSERNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETUSERNAME */",
  (char *)"#ifndef DK_HAVE_GETUSERNAME",
  (char *)"#define DK_HAVE_GETUSERNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETUSERNAME */",
  (char *)"#ifdef  DK_HAVE_GETUSERNAME",
  (char *)"#undef  DK_HAVE_GETUSERNAME",
  (char *)"#endif",
#endif
#if HAVE_WCHAR_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WCHAR_H */",
  (char *)"#ifndef DK_HAVE_WCHAR_H",
  (char *)"#define DK_HAVE_WCHAR_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCHAR_H */",
  (char *)"#ifdef  DK_HAVE_WCHAR_H",
  (char *)"#undef  DK_HAVE_WCHAR_H",
  (char *)"#endif",
#endif
#if HAVE_WCSCHR
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSCHR */",
  (char *)"#ifndef DK_HAVE_WCSCHR",
  (char *)"#define DK_HAVE_WCSCHR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSCHR */",
  (char *)"#ifdef  DK_HAVE_WCSCHR",
  (char *)"#undef  DK_HAVE_WCSCHR",
  (char *)"#endif",
#endif
#if HAVE_WCSRCHR
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSRCHR */",
  (char *)"#ifndef DK_HAVE_WCSRCHR",
  (char *)"#define DK_HAVE_WCSRCHR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSRCHR */",
  (char *)"#ifdef  DK_HAVE_WCSRCHR",
  (char *)"#undef  DK_HAVE_WCSRCHR",
  (char *)"#endif",
#endif
#if HAVE_WCSCASECMP
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSCASECMP */",
  (char *)"#ifndef DK_HAVE_WCSCASECMP",
  (char *)"#define DK_HAVE_WCSCASECMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSCASECMP */",
  (char *)"#ifdef  DK_HAVE_WCSCASECMP",
  (char *)"#undef  DK_HAVE_WCSCASECMP",
  (char *)"#endif",
#endif
#if HAVE_WCSICMP
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSICMP */",
  (char *)"#ifndef DK_HAVE_WCSICMP",
  (char *)"#define DK_HAVE_WCSICMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSICMP */",
  (char *)"#ifdef  DK_HAVE_WCSICMP",
  (char *)"#undef  DK_HAVE_WCSICMP",
  (char *)"#endif",
#endif
#if HAVE_WCSLEN
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSLEN */",
  (char *)"#ifndef DK_HAVE_WCSLEN",
  (char *)"#define DK_HAVE_WCSLEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSLEN */",
  (char *)"#ifdef  DK_HAVE_WCSLEN",
  (char *)"#undef  DK_HAVE_WCSLEN",
  (char *)"#endif",
#endif
#if HAVE_WCSCMP
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSCMP */",
  (char *)"#ifndef DK_HAVE_WCSCMP",
  (char *)"#define DK_HAVE_WCSCMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSCMP */",
  (char *)"#ifdef  DK_HAVE_WCSCMP",
  (char *)"#undef  DK_HAVE_WCSCMP",
  (char *)"#endif",
#endif
#if HAVE_WCSCPY
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSCPY */",
  (char *)"#ifndef DK_HAVE_WCSCPY",
  (char *)"#define DK_HAVE_WCSCPY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSCPY */",
  (char *)"#ifdef  DK_HAVE_WCSCPY",
  (char *)"#undef  DK_HAVE_WCSCPY",
  (char *)"#endif",
#endif
#if HAVE_SETMODE
  (char *)"/*\t\t\t\t\t+\tHAVE_SETMODE */",
  (char *)"#ifndef DK_HAVE_SETMODE",
  (char *)"#define DK_HAVE_SETMODE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETMODE */",
  (char *)"#ifdef  DK_HAVE_SETMODE",
  (char *)"#undef  DK_HAVE_SETMODE",
  (char *)"#endif",
#endif
#if HAVE__SETMODE
  (char *)"/*\t\t\t\t\t+\tHAVE__SETMODE */",
  (char *)"#ifndef DK_HAVE__SETMODE",
  (char *)"#define DK_HAVE__SETMODE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__SETMODE */",
  (char *)"#ifdef  DK_HAVE__SETMODE",
  (char *)"#undef  DK_HAVE__SETMODE",
  (char *)"#endif",
#endif
#if HAVE_FNCASEINS
  (char *)"/*\t\t\t\t\t+\tHAVE_FNCASEINS */",
  (char *)"#ifndef DK_HAVE_FNCASEINS",
  (char *)"#define DK_HAVE_FNCASEINS 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FNCASEINS */",
  (char *)"#ifdef  DK_HAVE_FNCASEINS",
  (char *)"#undef  DK_HAVE_FNCASEINS",
  (char *)"#endif",
#endif
#if HAVE_SOCKLEN_T
  (char *)"/*\t\t\t\t\t+\tHAVE_SOCKLEN_T */",
  (char *)"#ifndef DK_HAVE_SOCKLEN_T",
  (char *)"#define DK_HAVE_SOCKLEN_T 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SOCKLEN_T */",
  (char *)"#ifdef  DK_HAVE_SOCKLEN_T",
  (char *)"#undef  DK_HAVE_SOCKLEN_T",
  (char *)"#endif",
#endif
#if HAVE_SIZE_T
  (char *)"/*\t\t\t\t\t+\tHAVE_SIZE_T */",
  (char *)"#ifndef DK_HAVE_SIZE_T",
  (char *)"#define DK_HAVE_SIZE_T 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIZE_T */",
  (char *)"#ifdef  DK_HAVE_SIZE_T",
  (char *)"#undef  DK_HAVE_SIZE_T",
  (char *)"#endif",
#endif
  (char *)"#endif",
  NULL
} ;

int main(int argc, char *argv[])
{
  char **ptr;
  ptr = config_options;
  while(*ptr) {
    printf("%s\n", *(ptr++));
  }
  return 0;
}
