/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#ifndef DK_ERROR_INC
#define DK_ERROR_INC 1

/* no error occured */
#define DK_ERR_NONE			0

/* system error, see errno */
#define DK_ERR_SYSERR			1

/* failed to allocate memory */
#define DK_ERR_NOMEM			2

/* buffer too small */
#define DK_ERR_BUFFER_LENGTH		3

/* math result out of range */
#define DK_ERR_MATH_OOR			4

/* 0 division */
#define DK_ERR_DIV_ZERO			5

/* gethostbyname not available */
#define DK_ERR_NO_GETHOSTBYNAME		6

/* no such host */
#define DK_ERR_NO_SUCH_HOST		7

/* try again later */
#define DK_ERR_TRY_AGAIN		8

/* unexpected server error in gethostbyname */
#define DK_ERR_NO_RECOVERY		9

/* DNS response contained no data */
#define DK_ERR_NO_DNS_RESPONSE		10

/* unknown error */
#define DK_ERR_UNKNOWN_ERROR		11

/* invalid arguments */
#define DK_ERR_INVALID_ARGS		12

#define DK_ERR_GETHOSTNAME_FAILED	13

#define DK_ERR_NOT_NOW			14

#define DK_ERR_INVALID_FILEHANDLE	15

#define DK_ERR_CONNECTION_CLOSED_BY_PEER 16

#define DK_ERR_INTERRUPTED		17

#define DK_ERR_NO_OOB_DATA		18

#define DK_ERR_NOT_CONNECTED		19

#define DK_ERR_TIMED_OUT		20

#define DK_ERR_IO			21

#define DK_ERR_RESOURCES		22

/* address family not supported */
#define DK_ERR_AF_NO_SUPPORT		23

/* message too large */
#define DK_ERR_MSG_SIZE			24

/* no reader for pipe */
#define DK_ERR_PIPE			25

/* address needed */
#define DK_ERR_NEED_ADDR		26

#define DK_ERR_HOST_UNREACHABLE		27

#define DK_ERR_NET_INTERFACE_DOWN	28

#define DK_ERR_NET_UNREACHABLE		29

/* not enough privileges */
#define DK_ERR_ACCESS			30

#define DK_ERR_PROTO_NOT_SUPPORTED	31

#define DK_ERR_ADDRESS_IN_USE		32

#define DK_ERR_ADDRESS_NOT_AVAILABLE	33

#define DK_ERR_ALREADY_CONNECTED	34

#define DK_ERR_CONNECT_IN_PROGRESS	35

#define DK_ERR_CONNECTION_REFUSED_BY_PEER	36

#define DK_ERR_BUSY			37

#define DK_ERR_STRING_TOO_LONG		38

#define DK_ERR_NO_SUCH_FILE		39

#define DK_ERR_NOT_UNIQUE		40

#define DK_ERR_FINISHED			41

#define DK_ERR_FUNCTION_UNSUPPORTED	42

#endif



