/*
 * Dirk Krause's libraries / licensing information module
 * Copyright (C) 2001 - Dirk Krause
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Lesser General Public License
 * is placed in file COPYING.
 */

#include <dk.h>
#define DK_LIC_C 1
#include <dklic.h>

#if DK_HAVE_STRING_H
#include <string.h>
#endif

#ifndef VERSNUMB
#define VERSNUMB "1.3.8"
#endif



char *dklic_text[] = {
#ifdef __GNUC__
(char *)("dklibs       Portability layer and general purpose library " VERSNUMB),
#else
(char *)"dklibs       Portability layer and general purpose library                     ",
#endif
#if DK_HAVE_ZLIB_H
(char *)"zlib         General compression library",
#endif
#ifdef DK_HAVE_BZLIB_H
(char *)"libbz2       Library for compressing/decompressing data in the bzip2 format",
#endif
  NULL
};

char **
dklic_get DK_P0()
{
#ifndef __GNUC__
  strncpy( &((dklic_text[0])[60]), VERSNUMB, 18);
#endif
  return ((char **)dklic_text);
}


#ifndef LINT
static char sccs_id[] = {
"@(#)dklic.ctr 1.18 08/25/03\t(krause) - license and version module"
};
#endif

