/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#ifndef DK_LOG_INCLUDED
#define DK_LOG_INCLUDED 1

#include <dk.h>
#include <dktypes.h>
#include <dklogc.h>

#ifndef DK_LOG_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN
dk_log_t	*dklog_new	DK_PR((void));
EXTERN
dk_log_t	*dklog_new_for	DK_PR((void *obj, dk_fct_type_log *fct));
EXTERN
void		dklog_delete	DK_PR((dk_log_t *p));
EXTERN
dk_log_t	*dklog_set	DK_PR((dk_log_t *new_object));
EXTERN
dk_log_t	*dklog_get	DK_PR((void));
EXTERN
void		dklog_set_minlevel	DK_PR((dk_log_t *p, int minlevel));
EXTERN
int		dklog_get_minlevel	DK_PR((dk_log_t *p));
EXTERN
int		dklog_get_maxlevel	DK_PR((dk_log_t *p));
EXTERN
int		dklog_msg	DK_PR((int level, char **strings, int num));
EXTERN
int		dklog_msg_ss	DK_PR((int level, char **strings, int num));

#ifdef __cplusplus
}
#endif

#endif
/* DK_LOG_INCLUDED */

