/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#ifndef DK_MA_INC
#define DK_MA_INC

#include <dk.h>
#include <dktypes.h>

#ifndef DK_MA_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN int dkma_get_error DK_PR((int del));

EXTERN unsigned long
dkma_add_ulong_ok DK_PR((unsigned long u1, unsigned long u2, int *ok));
EXTERN unsigned long
dkma_sub_ulong_ok DK_PR((unsigned long u1, unsigned long u2, int *ok));
EXTERN unsigned long
dkma_mul_ulong_ok DK_PR((unsigned long u1, unsigned long u2, int *ok));
EXTERN unsigned long
dkma_div_ulong_ok DK_PR((unsigned long u1, unsigned long u2, int *ok));
EXTERN unsigned long
dkma_add_ulong DK_PR((unsigned long u1, unsigned long u2));
EXTERN unsigned long
dkma_sub_ulong DK_PR((unsigned long u1, unsigned long u2));
EXTERN unsigned long
dkma_mul_ulong DK_PR((unsigned long u1, unsigned long u2));
EXTERN unsigned long
dkma_div_ulong DK_PR((unsigned long u1, unsigned long u2));

EXTERN long
dkma_add_long_ok DK_PR((long u1, long u2, int *ok));
EXTERN long
dkma_sub_long_ok DK_PR((long u1, long u2, int *ok));
EXTERN long
dkma_mul_long_ok DK_PR((long u1, long u2, int *ok));
EXTERN long
dkma_div_long_ok DK_PR((long u1, long u2, int *ok));
EXTERN long
dkma_add_long DK_PR((long u1, long u2));
EXTERN long
dkma_sub_long DK_PR((long u1, long u2));
EXTERN long
dkma_mul_long DK_PR((long u1, long u2));
EXTERN long
dkma_div_long DK_PR((long u1, long u2));

EXTERN double
dkma_add_double_ok DK_PR((double u1, double u2, int *ok));
EXTERN double
dkma_sub_double_ok DK_PR((double u1, double u2, int *ok));
EXTERN double
dkma_mul_double_ok DK_PR((double u1, double u2, int *ok));
EXTERN double
dkma_div_double_ok DK_PR((double u1, double u2, int *ok));
EXTERN double
dkma_add_double DK_PR((double u1, double u2));
EXTERN double
dkma_sub_double DK_PR((double u1, double u2));
EXTERN double
dkma_mul_double DK_PR((double u1, double u2));
EXTERN double
dkma_div_double DK_PR((double u1, double u2));

EXTERN double
dkma_ul_to_double_ok DK_PR((unsigned long u1, int *ok));
EXTERN double
dkma_ull_to_double_ok DK_PR((dk_long_long_unsigned_t ul, int *ok));
EXTERN double
dkma_ul_to_double DK_PR((unsigned long u1));
EXTERN double
dkma_ull_to_double DK_PR((dk_long_long_unsigned_t ul));
EXTERN double
dkma_l_to_double_ok DK_PR((long l1, int *ok));
EXTERN double
dkma_l_to_double DK_PR((long l1));
EXTERN unsigned long
dkma_double_to_ul_ok DK_PR((double d, int *ok));
EXTERN unsigned long
dkma_double_to_ul DK_PR((double d));
EXTERN long
dkma_double_to_l_ok DK_PR((double d, int *ok));
EXTERN long
dkma_double_to_l DK_PR((double d));

EXTERN dk_long_long_unsigned_t dkma_add_ull_ok DK_PR((dk_long_long_unsigned_t o1, dk_long_long_unsigned_t o2, int *ok));
EXTERN dk_long_long_unsigned_t dkma_add_ull DK_PR((dk_long_long_unsigned_t o1, dk_long_long_unsigned_t o2));

EXTERN double
dkma_rint DK_PR((double d));

#ifdef __cplusplus
}
#endif
#endif

