/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */


#ifndef DKPROTO_INC
#define DKPROTO_INC 1

#ifndef DKCONFIG_INC
#include <dkconfig.h>
#endif

#if DK_HAVE_PROTOTYPES
#define DK_PR(arg)	arg
#define DK_P0()		(void)
#define DK_P1(a,b)	(a b)
#define DK_P2(a,b,c,d)	(a b, c d)
#define DK_P3(a,b,c,d,e,f) (a b, c d, e f)
#define DK_P4(a,b,c,d,e,f,g,h) (a b, c d, e f, g h)
#define DK_P5(a,b,c,d,e,f,g,h,i,j) (a b, c d, e f, g h, i j)
#define DK_P6(a,b,c,d,e,f,g,h,i,j,k,l) (a b, c d, e f, g h, i j, k l)
#define DK_P7(a,b,c,d,e,f,g,h,i,j,k,l,m,n) (a b, c d, e f, g h, i j, k l, m n)
#define DK_P8(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p) (a b, c d, e f, g h, i j, k l, m n, o p)
#define DK_P9(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r) (a b, c d, e f, g h, i j, k l, m n, o p, q r)
#define DK_P10(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t) (a b, c d, e f, g h, i j, k l, m n, o p, q r, s t)
#define DK_P11(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v) (a b, c d, e f, g h, i j, k l, m n, o p, q r, s t, u v)
#else
#define DK_PR(arg)	()
#define DK_P0()		()
#define DK_P1(a,b)	(b) a b;
#define DK_P2(a,b,c,d)	(b,d) a b; c d;
#define DK_P3(a,b,c,d,e,f) (b,d,f) a b; c d; e f;
#define DK_P4(a,b,c,d,e,fg,h) (b,d,f,h) a b; c d; e f; g h;
#define DK_P5(a,b,c,d,e,fg,h,i,j) (b,d,f,h,j) a b; c d; e f; g h; i j;
#define DK_P6(a,b,c,d,e,fg,h,i,j,k,l) (b,d,f,h,j,l) a b; c d; e f; g h; i j; k l;
#define DK_P7(a,b,c,d,e,fg,h,i,j,k,l,m,n) (b,d,f,h,j,l) a b; c d; e f; g h; i j; k l; m n;
#define DK_P8(a,b,c,d,e,fg,h,i,j,k,l,m,n,o,p) (b,d,f,h,j,l,n,p) a b; c d; e f; g h; i j; k l; m n; o p;
#define DK_P9(a,b,c,d,e,fg,h,i,j,k,l,m,n,o,p,q,r) (b,d,f,h,j,l,n,p,r) a b; c d; e f; g h; i j; k l; m n; o p; q r;
#define DK_P10(a,b,c,d,e,fg,h,i,j,k,l,m,n,o,p,q,r,s,t) (b,d,f,h,j,l,n,p,r,t) a b; c d; e f; g h; i j; k l; m n; o p; q r; s t;
#define DK_P11(a,b,c,d,e,fg,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v) (b,d,f,h,j,l,n,p,r,t,v) a b; c d; e f; g h; i j; k l; m n; o p; q r; s t; u v;
#endif

#if DK_HAVE_PROTOTYPES
#define DK_EXT /* nix */
#else
#define DK_EXT extern
#endif

#endif

