/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#ifndef DK_SYSFCT_INCLUDED
#define DK_SYSFCT_INCLUDED 1

#include <dk.h>
#include <dktypes.h>
#include <dksfc.h>

#ifndef DK_SYSFCT_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN dk_stat_t * dkstat_open DK_PR((char *filename));
EXTERN dk_stat_t * dkstat_new DK_PR((void));
EXTERN void	  dkstat_delete DK_PR((dk_stat_t *ptr));
EXTERN void	  dkstat_close DK_PR((dk_stat_t *ptr));
EXTERN int	  dkstat_get DK_PR((dk_stat_t *ptr, char *filename));
EXTERN int	  dkstat_filetype DK_PR((dk_stat_t *ptr));
EXTERN int	  dkstat_permissions DK_PR((dk_stat_t *ptr));
EXTERN unsigned long  dkstat_inode DK_PR((dk_stat_t *ptr));
EXTERN unsigned long   dkstat_device DK_PR((dk_stat_t *ptr));
EXTERN unsigned long  dkstat_rdevice DK_PR((dk_stat_t *ptr));
EXTERN unsigned long  dkstat_nlinks DK_PR((dk_stat_t *ptr));
EXTERN dk_long_long_unsigned_t dkstat_size DK_PR((dk_stat_t *ptr));
EXTERN dk_long_long_unsigned_t dkstat_size_ok DK_PR((dk_stat_t *ptr, int *ok));
EXTERN long	  dkstat_uid DK_PR((dk_stat_t *ptr));
EXTERN long	  dkstat_gid DK_PR((dk_stat_t *ptr));
EXTERN char	 * dkstat_ctime DK_PR((dk_stat_t *ptr));
EXTERN char	 * dkstat_atime DK_PR((dk_stat_t *ptr));
EXTERN char	 * dkstat_mtime DK_PR((dk_stat_t *ptr));
EXTERN int	  dksf_mkdir DK_PR((char *path, int mode));
EXTERN int	  dksf_chmod DK_PR((char *path, int mode));
EXTERN long	  dksf_getuid DK_PR((void));
EXTERN int	  dksf_have_getuid DK_PR((void));
EXTERN long	  dksf_getgid DK_PR((void));
EXTERN int	  dksf_have_getgid DK_PR((void));
EXTERN long	  dksf_geteuid DK_PR((void));
EXTERN int	  dksf_have_geteuid DK_PR((void));
EXTERN long	  dksf_getegid DK_PR((void));
EXTERN int	  dksf_have_getegid DK_PR((void));
EXTERN long	  dksf_getpid DK_PR((void));
EXTERN int	  dksf_have_getpid DK_PR((void));
EXTERN long	  dksf_getppid DK_PR((void));
EXTERN int	  dksf_have_getppid DK_PR((void));
EXTERN long	  dksf_getpgrp DK_PR((void));
EXTERN int	  dksf_have_getpgrp DK_PR((void));
EXTERN long	  dksf_getpgid DK_PR((long p));
EXTERN int	  dksf_have_getpgid DK_PR((void));
EXTERN int	  dksf_get_uname DK_PR((char *buffer, size_t sz));
EXTERN int	  dksf_get_euname DK_PR((char *buffer, size_t sz));
EXTERN int	  dksf_get_home DK_PR((char *buffer, size_t sz));
EXTERN int	  dksf_get_ehome DK_PR((char *buffer, size_t sz));
EXTERN int	  dksf_get_hostname DK_PR((char *buffer, size_t sz));
EXTERN int	  dksf_get_domainname DK_PR((char *buffer, size_t sz));
EXTERN int	  dksf_get_tempdir DK_PR((char *buffer, size_t sz));
EXTERN long	  dksf_get_maxpathlen	DK_PR((void));
EXTERN long	  dksf_get_maxfiles	DK_PR((void));
EXTERN dk_dir_t  *dkdir_open	DK_PR((char *name));
EXTERN void	  dkdir_close	DK_PR((dk_dir_t *d));
EXTERN dk_dir_t  *dkdir_new	DK_PR((void));
EXTERN void      dkdir_delete	DK_PR((dk_dir_t *d));
EXTERN int	  dkdir_start_search	DK_PR((dk_dir_t *d, char *n));
EXTERN void	  dkdir_end_search	DK_PR((dk_dir_t *d));
EXTERN int	  dkdir_next		DK_PR((dk_dir_t *d));
EXTERN char	  *dkdir_get_fullname	DK_PR((dk_dir_t *d));
EXTERN char      *dkdir_get_shortname   DK_PR((dk_dir_t *d));
EXTERN long	  dkdir_uid DK_PR((dk_dir_t *ptr));
EXTERN long	  dkdir_gid DK_PR((dk_dir_t *ptr));
EXTERN char	 * dkdir_ctime DK_PR((dk_dir_t *ptr));
EXTERN char	 * dkdir_atime DK_PR((dk_dir_t *ptr));
EXTERN char	 * dkdir_mtime DK_PR((dk_dir_t *ptr));
EXTERN int	  dkdir_filetype DK_PR((dk_dir_t *ptr));
EXTERN int	  dkdir_permissions DK_PR((dk_dir_t *ptr));
EXTERN unsigned long  dkdir_inode DK_PR((dk_dir_t *ptr));
EXTERN unsigned long   dkdir_device DK_PR((dk_dir_t *ptr));
EXTERN unsigned long  dkdir_rdevice DK_PR((dk_dir_t *ptr));
EXTERN unsigned long  dkdir_nlinks DK_PR((dk_dir_t *ptr));
EXTERN dk_long_long_unsigned_t dkdir_size DK_PR((dk_dir_t *ptr));
EXTERN dk_long_long_unsigned_t dkdir_size_ok DK_PR((dk_dir_t *ptr, int *ok));
EXTERN dk_fne_t       *dkfne_open	DK_PR((char *name, int files, int dirs));
EXTERN int            dkfne_next	DK_PR((dk_fne_t *f));
EXTERN char           *dkfne_get_fullname	DK_PR((dk_fne_t *f));
EXTERN char           *dkfne_get_shortname	DK_PR((dk_fne_t *f));
EXTERN void           dkfne_close	DK_PR((dk_fne_t *f));
EXTERN char	      *dkfne_get_one	DK_PR((dk_fne_t * f));
EXTERN int	      dkfne_get_error_code DK_PR((dk_fne_t *f, int res));
EXTERN int	dksf_getcwd DK_PR((char *buffer, size_t lgt));
EXTERN int	dksf_get_executable DK_PR((char *buf, size_t len, char *cd, char *pr, int cu));
EXTERN int	dksf_path_combine DK_PR((char *buf, size_t len, char *cd, char *pr));
EXTERN int	dksf_is_abs_path DK_PR((char *dirname));
EXTERN char	*dksf_get_file_type_dot DK_PR((char *name));
EXTERN char	*dksf_get_last_filename DK_PR((char * name));
EXTERN void	dksf_time_convert DK_PR((char *s, time_t t));
EXTERN void	dksf_correct_fnsep DK_PR((char *str));
EXTERN int	dksf_remove_directory DK_PR((char *filename));
EXTERN int      dksf_remove_file DK_PR((char *filename));
EXTERN dk_stat_t *dkdir_stat DK_PR((dk_dir_t *d));
EXTERN void     dksf_set_binary DK_PR((int fileno));
EXTERN FILE	*dksf_fopen DK_PR((char *fn, char *m));
EXTERN FILE	*dksf_msfo DK_PR((char *fn, char *m, int ign, int *reason));
EXTERN int	dksf_allowed_to_write DK_PR((char *fn, int ign, int *reason));
EXTERN int      dkstat_far_link DK_PR((dk_stat_t *ptr));
EXTERN int	dksf_must_expand_filename DK_PR((char *name));
EXTERN int	dksf_set_fdesk_binary DK_PR((int fd));
EXTERN int	dksf_set_file_binary DK_PR((FILE *f));

#ifdef __cplusplus
}
#endif

#define	DK_SF_SEC_WG	1
#define DK_SF_SEC_WO	2
#define DK_SF_SEC_OWNER	4
#define DK_SF_SEC_DIR   8

#endif
/* DK_SYSFCT_INCLUDED */

