/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */


#ifndef DK_SIGNAL_INCLUDED
#define DK_SIGNAL_INCLUDED 1

#include <dk.h>
#include <dktypes.h>

#ifndef DK_SIGNAL_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#if DK_HAVE_SIGACTION
#define dksignal_refresh(i,disp)	/* nix */
#define dksignal_return(i)		/* nix */
#else
#if DK_HAVE_SIGSET
#define dksignal_refresh(i,disp)        /* nix */
#define dksignal_return(i)              /* nix */
#else
#if DK_HAVE_SIGNAL
#define dksignal_refresh(i,disp)        signal(i,disp)
#define dksignal_return(i)              /* nix */
#else
#define dksignal_refresh(i,disp)        /* nix */
#define dksignal_return(i)              /* nix */
#endif
#endif
#endif

#ifdef __cplusplus
extern "C" {
#endif
EXTERN
dk_signal_disp_t dksignal_set DK_PR((int signo, dk_signal_disp_t disp));
EXTERN
int		 dksignal_available DK_PR((void));

#ifdef __cplusplus
}
#endif
#endif

