/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */


#ifndef DK_STO_INCLUDED
#define DK_STO_INCLUDED 1

#include <dk.h>
#include <dktypes.h>

#ifndef DK_STO_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN dk_storage_t *
dksto_open DK_PR((int sz));

EXTERN void
dksto_close DK_PR((dk_storage_t *sz));

EXTERN int
dksto_remove DK_PR((dk_storage_t *st, void *o));

EXTERN int
dksto_add DK_PR((dk_storage_t *st, void *o));

EXTERN dk_storage_iterator_t *
dksto_it_open DK_PR((dk_storage_t *st));

EXTERN void
dksto_it_close DK_PR((dk_storage_iterator_t *it));

EXTERN void
dksto_it_reset DK_PR((dk_storage_iterator_t *it));

EXTERN void *
dksto_it_next DK_PR((dk_storage_iterator_t *it));

EXTERN void *
dksto_it_find_exact DK_PR((dk_storage_iterator_t *it, void *o));

EXTERN void *
dksto_it_find_like DK_PR((dk_storage_iterator_t *it, void *o, int cr));

EXTERN int
dksto_set_eval_c DK_PR((dk_storage_t *st, dk_fct_eval_c_t *f, int cr));
EXTERN int
dksto_set_eval_uc DK_PR((dk_storage_t *st, dk_fct_eval_uc_t *f, int cr));
EXTERN int
dksto_set_eval_s DK_PR((dk_storage_t *st, dk_fct_eval_s_t *f, int cr));
EXTERN int
dksto_set_eval_us DK_PR((dk_storage_t *st, dk_fct_eval_us_t *f, int cr));
EXTERN int
dksto_set_eval_i DK_PR((dk_storage_t *st, dk_fct_eval_i_t *f, int cr));
EXTERN int
dksto_set_eval_ui DK_PR((dk_storage_t *st, dk_fct_eval_ui_t *f, int cr));
EXTERN int
dksto_set_eval_l DK_PR((dk_storage_t *st, dk_fct_eval_l_t *f, int cr));
EXTERN int
dksto_set_eval_ul DK_PR((dk_storage_t *st, dk_fct_eval_ul_t *f, int cr));
EXTERN int
dksto_set_eval_f DK_PR((dk_storage_t *st, dk_fct_eval_f_t *f, int cr));
EXTERN int
dksto_set_eval_d DK_PR((dk_storage_t *st, dk_fct_eval_d_t *f, int cr));
EXTERN int
dksto_set_comp DK_PR((dk_storage_t *st, dk_fct_comp_t *f, int cr));
EXTERN int
dksto_use_trees DK_PR((dk_storage_t *st, int ok));

#ifdef __cplusplus
}
#endif

#define DK_STO_SIZE_HUGE   0
#define DK_STO_SIZE_LARGE  1
#define DK_STO_SIZE_MEDIUM 2
#define DK_STO_SIZE_SMALL  3
#define DK_STO_SIZE_TINY   4
#endif

