/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#ifndef DK_STR_INCLUDED
#define DK_STR_INCLUDED 1

#include <dk.h>
#include <dktypes.h>

#ifndef DK_STR_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN int  dkstr_casecmp DK_PR((char *a, char *b));
EXTERN char * dkstr_dup DK_PR((char *a));
EXTERN char * dkstr_chr DK_PR((char *str, int c));
EXTERN char * dkstr_rchr DK_PR((char *str, int c));
EXTERN char * dkstr_start DK_PR((char *str, char *whsp));
EXTERN void  dkstr_chomp DK_PR((char *str, char *whsp));
EXTERN char * dkstr_next DK_PR((char *str, char *whsp));
EXTERN int    dkstr_is_on DK_PR((char *str));
EXTERN int    dkstr_is_bool DK_PR((char *str));
EXTERN int    dkstr_array_index DK_PR((char **array, char *str, int cs));
EXTERN int    dkstr_find_multi_part_cmd DK_PR((char **c, char ***s, int cs));
EXTERN void   dkstr_delcomm DK_PR((char *str, char commentstarter));
EXTERN size_t dkstr_explode DK_PR((char **a, size_t sz, char *s, char *wh));
EXTERN int    dkstr_is_abbr DK_PR((char *s, char *p, char c, int cs));
EXTERN int    dkstr_array_abbr DK_PR((char **array,char *str,char sp,int cs));
EXTERN int    dkstr_find_multi_part_abbr DK_PR((char **c, char ***s, char sc, int cs));
EXTERN int    dkstr_is_identifier DK_PR((char *str));
EXTERN char  *dkstr_unquote DK_PR((char *str, char *quotes));

#ifdef __cplusplus
}
#endif

#endif
/* DK_STR_INCLUDED */

