/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000-2002 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#ifndef DK_TCPIP_INC
#define DK_TCPIP_INC 1

#include <dk.h>
#include <dktypes.h>

#ifndef DK_TPCIP_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN int
dktcpipaddr_set_ip_byname DK_PR((dk_ip_addr_t *a, char *hn, dk_tcpip_t *p));

EXTERN int
dktcpipaddr_set_ip_loopback DK_PR((dk_ip_addr_t *a));

EXTERN int
dktcpipaddr_set_ip_local DK_PR((dk_ip_addr_t *a, dk_tcpip_t *p));

EXTERN int
dktcpipaddr_set_ip_any DK_PR((dk_ip_addr_t *a));

EXTERN dk_tcpip_t *
dktcpip_new DK_PR((void));

EXTERN void
dktcpip_delete DK_PR((dk_tcpip_t *p));

EXTERN int
dktcpip_start DK_PR((void));

EXTERN int
dktcpip_end DK_PR((void));

EXTERN int
dktcpip_set_connectionless DK_PR((dk_tcpip_t *p, int flag));

EXTERN dk_ip_addr_t *
dktcpip_get_addr DK_PR((dk_tcpip_t *p, int w));

EXTERN int
dktcpip_addr_set_port DK_PR((dk_ip_addr_t *a, unsigned short min, unsigned short max));

EXTERN void
dktcpip_init DK_PR((dk_tcpip_t *t));

EXTERN int
dktcpip_read DK_PR((dk_tcpip_t *t, char *buf, size_t *lgt));

EXTERN int
dktcpip_write DK_PR((dk_tcpip_t *t, char *buf, size_t *lgt));

EXTERN int
dktcpip_is_rdclosed DK_PR((dk_tcpip_t *t));

EXTERN int
dktcpip_closewrite DK_PR((dk_tcpip_t *t));

EXTERN int
dktcpip_up DK_PR((dk_tcpip_t *t));

EXTERN int
dktcpip_down DK_PR((dk_tcpip_t *t));

EXTERN int
dktcpip_set_nonblock DK_PR((dk_tcpip_t *t, int fl));

EXTERN int
dktcpip_set_timeout DK_PR((dk_tcpip_t *t, double to));

EXTERN int
dktcpip_respond DK_PR((dk_tcpip_t *t));

EXTERN int
dktcpip_set_reuse DK_PR((dk_tcpip_t *t, int fl));

EXTERN int
dktcpip_set_broadcast DK_PR((dk_tcpip_t *t, int fl));

EXTERN int
dktcpip_set_keepalive DK_PR((dk_tcpip_t *t, int fl));

EXTERN int
dktcpip_get_error_code DK_PR((dk_tcpip_t *t, int cl));

#ifdef __cplusplus
}
#endif

#define DK_IP_ADDR_REMOTE_WISHED 0
#define DK_IP_ADDR_REMOTE_FOUND  1
#define DK_IP_ADDR_LOCAL_WISHED  2
#define DK_IP_ADDR_LOCAL_FOUND   3

#endif

