/*
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2001 - Dirk Krause
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Lesser General Public License
 * is placed in file COPYING.
 */

#include <stdio.h>
#include <stdlib.h>

#define DKTOK_TEST_MAIN 0

#define DKTOK_C 1
#include <dktok.h>
#include <dkmem.h>
#include <dkerror.h>


#line 33 "dktok.ctr"


/*
  This file was generated by genau.
  You should not apply changes to this file because they
  may be overwritten by the next run of genau.
*/
#ifndef DKTOKEN_INC
#define DKTOKEN_INC

/* states    */
#define        S_BS 0
#define   S_COMMENT 1
#define       S_ERR 2
#define    S_QUOTED 3
#define S_QUOTED_BS 4
#define     S_START 5
#define  S_START_BS 6
#define      S_TEXT 7

/* inputs    */
#define       I_ANY 0
#define        I_BS 1
#define       I_COM 2
#define       I_FIN 3
#define        I_FQ 4
#define        I_NL 5
#define       I_QUO 6
#define       I_SCT 7
#define       I_SPC 8

/* outputs   */
#define       O_ADD 0
#define       O_BEG 1
#define       O_BSC 2
#define       O_CUR 3
#define       O_ERR 4
#define       O_FQU 5
#define       O_NEW 6
#define       O_NOP 7
#define       O_OUT 8
#define       O_QUO 9
#define       O_SIN 10

/* functions */
#include  <dk.h>
#include  <dktypes.h>

#ifndef  DKTOKEN_C
#if !DK_HAVE_PROTOTYPES
#define  EXTERN extern
#else
#define  EXTERN /* nix */
#endif
#else
#define  EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN
int dktok_decide DK_PR((int *s, int i));
EXTERN
void dktok_reset DK_PR((int *s));

#ifdef __cplusplus
}
#endif


#endif
/*
  This file was generated by genau.
  You should not apply changes to this file because they
  may be overwritten by the next run of genau.
*/



void dktok_reset DK_P1(int *, s)
{
if(s) { *s = S_START; }
}

int dktok_decide DK_P2(int *, s, int, i)
{
int n,o;
o = O_ERR;
if(s) {
  n = S_ERR;
  switch(*s) {
    case S_BS : {
          n = S_TEXT; o = O_ADD;
    } break;
    case S_COMMENT : {
      switch(i) {
        case I_NL : {
          n = S_START; o = O_NOP;
        } break;
        default : {
          n = S_COMMENT; o = O_NOP;
        } break;
      }
    } break;
    case S_ERR : {
    } break;
    case S_QUOTED : {
      switch(i) {
        case I_BS : {
          n = S_QUOTED_BS; o = O_NOP;
        } break;
        case I_FQ : {
          n = S_START; o = O_FQU;
        } break;
        default : {
          n = S_QUOTED; o = O_ADD;
        } break;
      }
    } break;
    case S_QUOTED_BS : {
          n = S_QUOTED; o = O_ADD;
    } break;
    case S_START : {
      switch(i) {
        case I_BS : {
          n = S_ERR; o = O_NOP;
        } break;
        case I_COM : {
          n = S_COMMENT; o = O_NOP;
        } break;
        case I_FIN : {
          n = S_START; o = O_NOP;
        } break;
        case I_NL : {
          n = S_START; o = O_NOP;
        } break;
        case I_QUO : {
          n = S_QUOTED; o = O_QUO;
        } break;
        case I_SCT : {
          n = S_START; o = O_SIN;
        } break;
        case I_SPC : {
          n = S_START; o = O_NOP;
        } break;
        default : {
          n = S_TEXT; o = O_BEG;
        } break;
      }
    } break;
    case S_TEXT : {
      switch(i) {
        case I_BS : {
          n = S_BS; o = O_NOP;
        } break;
        case I_COM : {
          n = S_COMMENT; o = O_OUT;
        } break;
        case I_FIN : {
          n = S_START; o = O_OUT;
        } break;
        case I_NL : {
          n = S_START; o = O_OUT;
        } break;
        case I_QUO : {
          n = S_QUOTED; o = O_QUO;
        } break;
        case I_SCT : {
          n = S_START; o = O_CUR;
        } break;
        case I_SPC : {
          n = S_START; o = O_OUT;
        } break;
        default : {
          n = S_TEXT; o = O_ADD;
        } break;
      }
    } break;
  }
  *s = n;
}
return o;
}


#line 35 "dktok.ctr"


/*
  Internally set up the tokenizer to read a new file.
*/
static
void
prepare_tokenizer DK_P1(dk_tokenizer_t *,tp)
{
  
  tp->endquote = NULL;
  tp->buffer_used = 0;
  tp->error_code = 0;
  tp->lineno = 1UL;
  dktok_reset(&(tp->state));
  
}

static
void
start_new_token DK_P2(dk_tokenizer_t *,tp,char,c)
{
  
  *(tp->token_buffer) = c;
  tp->buffer_used = 1;
  
}

static
int
add_to_token DK_P2(dk_tokenizer_t *,tp,char,c)
{
  int back = 0;
  
  if((tp->buffer_used) < ((tp->buffer_size) - 1)) {
    (tp->token_buffer)[tp->buffer_used] = c;
    tp->buffer_used += 1;
    back = 1;
  } else {
    tp->error_code = DK_ERR_STRING_TOO_LONG ;
  }
  
  return back;
}

static
int
process_token DK_P1(dk_tokenizer_t *,tp)
{
  int back = 0;
  dk_fct_tokenizer *f;
  
  if(tp->buffer_used) {
    if((tp->buffer_used) < ((tp->buffer_size) - 1)) {
      (tp->token_buffer)[tp->buffer_used] = '\0';
      if(tp->fct) {
        f = tp->fct;
	back = (*f)(tp->user_data, (void *)tp, tp->token_buffer, &(tp->error_code));
      }
    } else {
      tp->error_code = DK_ERR_INVALID_ARGS;
    }
  } else {
    back = 1;
  }
  tp->buffer_used = 0;
  
  return back;
}

/*
  Process one character of a given class.
*/
static
int
process_character DK_P3(dk_tokenizer_t *,tp,int,cl,char,c)
{
  int back = 0;
  
  switch(dktok_decide(&(tp->state),cl)) {
    case O_NOP : { 
      back = 1;
    } break;
    case O_BEG : { 
      start_new_token(tp, c);
      back = 1;
    } break;
    case O_ADD : { 
      back = add_to_token(tp, c);
    } break;
    case O_OUT : { 
      back = process_token(tp);
    } break;
    case O_CUR : { 
      back = process_token(tp);
      if(back) {
        start_new_token(tp,c);
	back = process_token(tp);
      }
    } break;
    case O_NEW : { 
      back = process_token(tp);
      if(back) {
        start_new_token(tp,c);
      }
    } break;
    case O_SIN : { 
      start_new_token(tp,c);
      back = process_token(tp);
    } break;
    case O_QUO : { 
      back = process_token(tp);
      if(back) {
	start_new_token(tp,c);
      }
    } break;
    case O_FQU : { 
      back = add_to_token(tp,c);
      if(back) {
        back = process_token(tp);
      }
    } break;
    case O_BSC : { 
      back = add_to_token(tp, '\\');
      if(back) {
        back = add_to_token(tp, c);
      }
    } break;
    case O_ERR : { 
      back = 0;
    } break;
  }
  
  return back;
}

/*
  Find the character class.
*/
static
int
get_class DK_P2(dk_tokenizer_t *,tp,char,c)
{
  int back = I_ANY;
  int found;
  char *ptr, **xptr;
  
  found = 0;
  if(!found) {
    if(c == '\\') {
      back = I_BS; found = 1; 
    }
  }
  if(!found) {
    if(tp->comment) {
      if(tp->comment == c) {
        back = I_COM; found = 1; 
      }
    }
  }
  if(!found) {
    if(tp->sct) {
      if(strchr(tp->sct,c)) {
        back = I_SCT; found = 1; 
      }
    }
  }
  if(!found) {
    if(tp->nl) {
      if(strchr(tp->nl, c)) {
        back = I_NL; found = 1; 
      }
    }
  }
  if(!found) {
    if(tp->whsp) {
      if(strchr(tp->whsp,c)) {
        back = I_SPC; found = 1; 
      }
    }
  }
  if(!found) {
    if(tp->endquote) {
      if(*(tp->endquote) == c) {
        back = I_FQ; found = 1; 
	tp->endquote = NULL;
      }
    } else {
      if(tp->quotes) {
        xptr = tp->quotes;
	while((ptr = *xptr) && (!found)) {
          if(*ptr == c) {
	    back = I_QUO; found = 1; 
	    if(ptr[1]) {
	      ptr++; tp->endquote = ptr;
	    } else {
	      tp->endquote = ptr;
	    }
	  }
	  xptr++;
	}
      }
    }
  } 
  return back;
}

/*
  Internally process one character.
*/
static
int
add_character DK_P2(dk_tokenizer_t *,tp,char,c)
{
  int back = 0;
  int cl;
  
  cl = get_class(tp,c);
  back = process_character(tp,cl,c);
  if(cl == I_NL) {
    tp->lineno += 1UL;
  }
  
  return back;
}



/*
  Allocate memory for a new tokenizer and initialize it.
*/
dk_tokenizer_t *
dktok_new DK_P8(size_t,b,char **,q,char *,s,char *,w,char *,n,char,c,dk_fct_tokenizer *,f,void *,d)
{
  dk_tokenizer_t *back = NULL;
  char *ptr;
  
  back = dk_new(dk_tokenizer_t,1);
  if(back) {
    ptr = dk_new(char,b);
    if(ptr) {
      back->token_buffer = ptr;
      back->buffer_size  = b;
      back->quotes	= q;
      back->sct		= s;
      back->whsp	= w;
      back->nl		= n;
      back->fct		= f;
      back->comment	= c;
      back->user_data	= d;
      prepare_tokenizer(back);
    } else {
      dk_delete(back); back = NULL;
    }
  } 
  return back;
}

/*
  Set up a tokenizer to read a new file.
*/
void
dktok_start DK_P1(dk_tokenizer_t *,tp)
{
  
  if(tp) {
    prepare_tokenizer(tp);
  }
  
}

/*
  Finish the current file.
*/
int
dktok_stop DK_P1(dk_tokenizer_t *,tp)
{
  int back = 0;
  
  if(tp) {
    back = process_character(tp, I_FIN, '\0');
  }
  
  return back;
}

/*
  Process the next character.
*/
int
dktok_add DK_P2(dk_tokenizer_t *,tp,char,c)
{
  int back = 0;
  
  if(tp) {
    back = add_character(tp,c);
  }
  
  return back;
}

/*
  Release the memory used by the tokenizer.
*/
void
dktok_delete DK_P1(dk_tokenizer_t *, tp)
{
  char *ptr;
  
  if(tp) {
    if(tp->token_buffer) {
      ptr = tp->token_buffer;
      dk_delete(ptr);
      tp->token_buffer = NULL;
    }
    dk_delete(tp);
  }
  
}

unsigned long
dktok_get_lineno DK_P1(dk_tokenizer_t *,tp)
{
  unsigned long back = 0UL;
  
  if(tp) {
    back = tp->lineno;
  }
  
  return back;
}

int
dktok_get_error_code DK_P1(dk_tokenizer_t *,tp)
{
  int back = 0;
  if(tp) { back = tp->error_code; }
  return back;
}

void
dktok_reset_error_code DK_P1(dk_tokenizer_t *,tp)
{
  if(tp) { tp->error_code = 0; }
}

#if DKTOK_TEST_MAIN

static char *quotes[] = {
  (char *)"\"\"",
  (char *)"''",
  NULL
};

static char sct[] = { "{}=;" };

static char nl[] = { "\n" };

static char whsp[] = { " \t\r\b" };

static char inbuffer[512];

int fct(void *d, void *tpv, char *s, int *ec)
{
  int back = 1;
  dk_tokenizer_t *tp;
  if(tpv) {
    tp = (dk_tokenizer_t *)tpv;
    
    printf("%10lu \"%s\"\n", dktok_get_lineno(tp), s);
  }
  return back;
}

int main(int argc, char *argv[])
{
  size_t sz;
  int cc; char *ptr;
  dk_tokenizer_t *tp;

  
#line 415 "dktok.ctr"

  tp = dktok_new(256,quotes,sct,whsp,nl,'#',fct,NULL);
  if(tp) {
    dktok_start(tp);
    cc = 1;
    while(cc) {
      sz = fread((void *)inbuffer,1,sizeof(inbuffer),stdin);
      if(sz > 0) {
        ptr = inbuffer;
	while((sz--) && cc) { if(!dktok_add(tp, *(ptr++))) cc = 0; }
      } else {
        cc = 0;
      }
    }
    if(!dktok_get_error_code(tp)) { dktok_stop(tp); }
    dktok_delete(tp);
  } else {
    fprintf(stderr, "Not enough memory!\n");
    fflush(stderr);
  }
  
#line 435 "dktok.ctr"

  exit(0); return 0;
}

#endif


#ifndef LINT
static char sccs_id[] =
{ "@(#)dktok.ctr 1.7 08/25/03\t(krause) - Tokenizer module." };
#endif

