/* 
 * The dk libraries (libdkport + libdkc)
 * Copyright (C) 2000, 2001 - Dirk Krause
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU Library General Public License
 * is placed in file COPYING.
 */

#ifndef DKTOK_INCLUDED
#define DKTOK_INCLUDED 1

#include <dk.h>
#include <dktypes.h>

#ifndef DKTOK_C
#if !DK_HAVE_PROTOTYPES
#define EXTERN extern
#else
#define EXTERN /* nix */
#endif
#else
#define EXTERN /* nix */
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXTERN
dk_tokenizer_t *
dktok_new DK_PR((size_t b,char **q,char *s,char *w,char *n,char c,dk_fct_tokenizer *f,void *d));

EXTERN
void
dktok_start DK_PR((dk_tokenizer_t * tp));

EXTERN
int
dktok_stop DK_PR((dk_tokenizer_t * tp));

EXTERN
int
dktok_add DK_PR((dk_tokenizer_t * tp, char c));

EXTERN
void
dktok_delete DK_PR((dk_tokenizer_t * tp));

EXTERN
unsigned long
dktok_get_lineno DK_PR((dk_tokenizer_t * tp));

EXTERN
int
dktok_get_error_code DK_PR((dk_tokenizer_t * tp));

EXTERN
void
dktok_reset_error_code DK_PR((dk_tokenizer_t * tp));

#ifdef __cplusplus
}
#endif

#endif
/* DKTOK_INCLUDED */

