/* 
 * tracecc
 * Copyright (C) 1998, 1999, 2000, 2001 - Dirk Krause
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU General Public License
 * is placed in file COPYING.
 */



#include <dk.h>
#include <stdio.h>

#if DK_TIME_WITH_SYS_TIME
#include <sys/time.h>
#include <time.h>
#else
#if DK_HAVE_SYS_TIME_H
#include <sys/time.h>
#else
#if DK_HAVE_TIME_H
#include <time.h>
#endif
#endif
#endif

#define DK_TRACE_C 1
#include <dktrace.h>

static FILE *trace_file = NULL;

void  dktrace_end    DK_P0()
{
  if(trace_file) {
    fclose(trace_file); trace_file = NULL;
  }
}

void dk_trace_end DK_P0() { dktrace_end(); }

void  dktrace_init   DK_P1(char *,filename)
{
  FILE *x;
  if(filename) {
    x = fopen(filename, "w");
    if(x) {
      dktrace_end();
      trace_file = x;
    }
  }
}

void dk_trace_init DK_P1(char *, filename) { dktrace_init(filename); }


FILE *dktrace_file   DK_P0()
{
  return trace_file;
}

FILE *dk_trace_file DK_P0() { FILE *back; back = dktrace_file(); return back; }

static
void i_time DK_P1(FILE *,f)
{
#if DK_HAVE_TIME_H || DK_HAVE_SYS_TIME_H
  time_t timer;
  struct tm *tm;
  if(f) {
    time(&timer);
    tm = localtime(&timer);
    if(tm) {
      fprintf(f,
	  "%04d/%02d/%02d %02d:%02d:%02d\n",
	  (1900 + tm->tm_year),
	  (1 + tm->tm_mon),
	  tm->tm_mday,
	  tm->tm_hour,
	  tm->tm_min,
	  tm->tm_sec
      );
    }
  }
#endif
}

void dktrace_time DK_P0()
{
  if(trace_file) {
    i_time(trace_file);
  }
}

void dktrace_stdout_time DK_P0()
{
  i_time(stdout);
}

void dk_trace_time DK_P0()
{
  dktrace_time();
}


#ifndef LINT
static char sccs_id[] = {
"@(#) 1.9 dktrace.ctr 08/25/03\t(krause) - Trace module"
};
#endif

