
#
# START OF CONFIGURATION SECTION
#

#
# Where is Visual C?
# Directories lib, include and bin must be beyound this.
#
VC=d:/prg/studio/vc

#
# Where should the files be installed to?
#

# PROGRAMS="C:\Program Files"
PROGRAMS=
VENDOR=Krause
PREFIX=$(PROGRAMS)\$(VENDOR)

SCD=	-DSYSCONFDIR

#
# bz2 configuration
#

# ### IF YOU HAVE BZ2LIB, UNCOMMENT THE FOLLOWING 3 LINES AND REMOVE THE NEXT 3.
# BZL_DEF=-DHAVE_BZLIB_H=1
# BZL_DIR=-I$(PROGRAMS)\STATIC-LIB\Include
# BZL_LIB=$(PROGRAMS)\STATIC-LIB\lib\libbz2.lib

BZL_DEF=-DHAVE_BZLIB_H=0
BZL_DIR=
BZL_LIB=

#
# zlib configuration
#

# ### IF YOU HAVE ZLIB, UNCOMMENT THE FOLLOWING 3 LINES AND REMOVE THE NEXT 3.
# ZL_DEF=-DHAVE_ZLIB_H=1
# ZL_DIR=-I$(PROGRAMS)\STATIC-LIB\Include
# ZL_LIB=$(PROGRAMS)\STATIC-LIB\lib\zlib.lib

ZL_DEF=-DHAVE_ZLIB_H=0
ZL_DIR=
ZL_LIB=

#
# Language selection
#
# LANG=de
LANG=en

#
# END OF CONFIGURATION SECTION
#

#all:	progs libs
all: libdkc.lib libdkport.lib
libs:	libdknet.lib libdkc.lib libdkport.lib libdktrace.lib
progs:	stc.exe tracecc.exe dkconfig.exe winsetup.exe trana.exe

clean:
	rm -f stc.exe trana.exe winsetup.exe tracecc.exe dkconfig.exe *.OBJ *.LIB

STCOPT= --/log/stderr/level=error --/log/stdout/level=none

install:	all
	-mkdir $(PREFIX)
	-mkdir $(PREFIX)\include
	-mkdir $(PREFIX)\lib
	-mkdir $(PREFIX)\lib\stc
	-mkdir $(PREFIX)\bin
	-xcopy stc.exe $(PREFIX)\bin
	-xcopy tracecc.exe $(PREFIX)\bin
	-xcopy dkconfig.exe $(PREFIX)\bin
	-xcopy trana.exe $(PREFIX)\bin
	-xcopy *.h $(PREFIX)\include
	dkconfig > $(PREFIX)\include\dkconfig.h
	-xcopy lib\*.* $(PREFIX)\lib
	-xcopy *.lib $(PREFIX)\lib
	stc $(STCOPT) -p stc.str $(PREFIX)\lib\stc
	stc $(STCOPT) -p dkapp.str $(PREFIX)\lib
	stc $(STCOPT) -p dkappd.str $(PREFIX)\lib
	stc $(STCOPT) -p trana.str $(PREFIX)\lib\trana
	stc $(STCOPT) -p tracecc.str $(PREFIX)\lib\tracecc
	stc $(STCOPT) -p tracecca.str $(PREFIX)\lib\tracecc
	stc $(STCOPT) -p showhex.str $(PREFIX)\lib\showhex
	-xcopy $(PREFIX)\lib\en\dkapp.* $(PREFIX)\lib
	-xcopy $(PREFIX)\lib\en\dkappd.* $(PREFIX)\lib
	-xcopy $(PREFIX)\lib\stc\en\stc.* $(PREFIX)\lib\stc
	-xcopy $(PREFIX)\lib\trana\en\trana.* $(PREFIX)\lib\trana
	-mkdir $(PREFIX)\docu
	-xcopy docu\*.pdf $(PREFIX)\docu
	-.\winsetup $(PREFIX) $(LANG)

LD=LINK
LDFLAGS=$(CFLAGS) -nologo

WL1=$(VC)/lib/advapi32.lib

CFLAGS=-MD -O2
.c.obj:
	cl -nologo -I. $(SCD) $(BZL_DIR) $(BZL_DEF) $(ZL_DIR) $(ZL_DEF) $(CFLAGS) $(VERSNO) -c $*.c

libdknet.lib:	dktcpip.obj
	-DEL libdknet.lib
	LIB /nologo /out:libdknet.lib dktcpip.obj

PO1= dkslsupp.obj dkma.obj dksf.obj dkstrdc.obj dkstr.obj dkenc.obj dklog.obj
PO2= dkss.obj dkpstr.obj dkmem.obj dksignal.obj dklic.obj
POBJ= $(PO1) $(PO2)

libdkport.lib:	$(POBJ)
	rm -f dkport.lib
	LIB -out:libdkport.lib $(POBJ)

AOBJ= dkapp.obj dkstt.obj dksto.obj dkstream.obj dkcp.obj dkbf.obj

libdkc.lib:	$(AOBJ)
	rm -f dkc.lib
	LIB -out:libdkc.lib $(AOBJ)

libdktrace.lib:	dktrace.obj
	-DEL libdktrace.lib
	LIB /nologo /out:libdktrace.lib dktrace.obj

stc.exe:	stc.obj $(AOBJ) $(POBJ)
	-DEL stc.exe
	$(LD) $(LDFLAGS) /out:stc.exe stc.obj $(AOBJ) $(POBJ) $(BZL_LIB) $(ZL_LIB) $(WL1)

TOBJ=	tracecc.obj traceco.obj

tracecc.exe:	$(TOBJ) $(POBJ)
	-DEL tracecc.exe
	$(LD) $(LDFLAGS) /out:tracecc.exe $(TOBJ) $(POBJ) $(BZL_LIB) $(ZL_LIB) $(WL1)

trana.exe:	trana.obj $(POBJ)
	-DEL  trana.exe
	$(LD) $(LDFLAGS) /out:trana.exe trana.obj $(POBJ) $(BZL_LIB) $(ZL_LIB) $(WL1)

dkconfig.exe:	dkconfig.obj dkmem.obj
	-DEL dkconfig.exe
	$(LD) $(LDFLAGS) /out:dkconfig.exe dkconfig.obj dkmem.obj $(BZL_LIB) $(ZL_LIB) $(WL1)

WINSETUPOBJ= winsetup.obj dkmem.obj dksf.obj dkstr.obj dktrace.obj
winsetup.exe:	$(WINSETUPOBJ)
	-DEL winsetup.exe
	$(LD) $(LDFLAGS) /out:winsetup.exe $(WINSETUPOBJ) $(WL1)
