/* 
 * tracecc
 * Copyright (C) 1998, 1999, 2000, 2001 - Dirk Krause
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * In this package the copy of the GNU General Public License
 * is placed in file COPYING.
 */

#ifndef TRACECO_INC
#define TRACECO_INC 1

#include <dk.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#if DK_HAVE_SYS_PARAM_H
#include <sys/param.h>
#endif

#if DK_HAVE_UNISTD_H
#include <unistd.h>
#endif
#if DK_HAVE_DIRENT_H
#include <dirent.h>
#endif
#if DK_HAVE_IO_H
#include <io.h>
#endif
#if DK_HAVE_DIR_H
#include <dir.h>
#endif
#if DK_HAVE_DIRECT_H
#include <direct.h>
#endif

#include <troutput.h>

#define  TRACE_CMD_BUFFER_SIZE 2048
#define TRACE_CONTROL '$'

#ifndef MAXPATHLEN
#define MAXPATHLEN 1024
#endif

typedef struct {
  kOutputData *outData;
  /* kTca     automat; */
  int     automat;
  char    filename1[MAXPATHLEN];
  char    filename2[MAXPATHLEN];
  char    filename3[MAXPATHLEN];
  FILE   *inputFile;
  FILE   *outputFile;
  FILE   *tempFile;
  int     mode;
  char    currentChar;
  int     originalModus;
  int     lineNumber;
  int     lineIndent;
  int     lineTextFound;
  char    cmdBuffer[TRACE_CMD_BUFFER_SIZE];
  char    *ptrBuffer;
  int     inBuffer;
  int     currentLineLength;
  int     maxLineLength;
  int     boxWidth;
  int     day;
  int     month;
  int     year;
  int     hour;
  int     min;
  int     sec;
  /* kStorage methods; */
  char    *shortFileNamePointer;
} kTraceCodeData;



#if DK_HAVE_PROTOTYPES
#ifdef __cplusplus
extern "C" {
#endif
int kTraceCodeRunArg(
  kTraceCodeData *traceCode, kOutputData *output,
  int argc,                  char *argv[]
);
#ifdef __cplusplus
}
#endif
#else
#ifndef TRACECO_C
int void kTraceCodeRunArg();
#endif
#endif


#endif

