static long
cid_to_code (CMap *cmap, CID cid)
{
  unsigned char  inbuf[2], outbuf[32];
  long           inbytesleft = 2, outbytesleft = 32;
  unsigned char *p, *q;
  long x, y, z;

  if (!cmap)
    return cid;

  inbuf[0] = (cid >> 8) & 0xff;
  inbuf[1] = cid & 0xff;
  p = inbuf; q = outbuf;

  CMap_decode_char(cmap, (const unsigned char **) &p, &inbytesleft, &q, &outbytesleft);

  if (inbytesleft != 0)
    return 0;
  else if (outbytesleft == 31)
    x = (long) outbuf[0];
  else if (outbytesleft == 30)
    x = (long) (outbuf[0] << 8|outbuf[1]);
  else if (outbytesleft == 28)
    x = (long) (outbuf[0] << 24|outbuf[1] << 16|outbuf[2] << 8|outbuf[3]);
  else
    return 0;

  y = (x >> 16) & 0xffff;
  z = x & 0xffff;
  if(y >= 0xd800 && y <= 0xdbff && z >= 0xdc00 && z <= 0xdfff)
    return (y - 0xd800) * 0x400 + 0x10000 + z - 0xdc00;
  else
    return x;
}
