/*
 * make vf which converts ASCII-dvi to NTT-dvi
 * mka2njvf dm 10 min10 /.../dmjka10.tfm /.../min10.tfm
 *	min10.vf
 */
#include	<stdio.h>
#include	"defs.h"
#include	"vfcodes.h"
#include	"bifont.h"

/* hard coded data */

struct specchar {
    int ct, gl;
} scdata[] = {
    {3, 112608},
    {4, 319056},
    {5, 240230},
    {6, 480461},
    {0, 0},
};

/* end of hard coded data */

int an_ratio;		/* (ASC/NTT)*2^20 */
int nttcharwid, asccharwid;
char nttfont[64], *ntt2;
char *ascfont;
int vfds;
char *vfdir;
FILE *vf;
int lastku;

/* set by readtfm */
extern char param[];
/* set by readjfm */
extern char header[];
extern char width[];
extern int nt, lh, bc, ec, nw, ds;
extern struct jfmfntinfo *jfmfi;

main(ac, av)
int ac;
char *av[];
{
    FILE *fp;
    char name[64];

    lastku = 84;
    strcpy(nttfont, av[1]);
    strcat(nttfont, ntt2 = av[2]);
    vfds = atoi(ntt2)<<20;
    ascfont = av[3];
    if ((fp = fopen(av[4], "rb")) == NULL) {
	fprintf(stderr, "cannot read %s\n", av[4]);
	exit(1);
    }
    readtfm(fp);
    nttcharwid = makeuint(param+4*4, 4);
    if ((fp = fopen(av[5], "rb")) == NULL) {
	fprintf(stderr, "cannot read %s\n", av[5]);
	exit(1);
    }
    if (!readjfm(fp)) {
	fprintf(stderr, "%s is not jfm\n", av[5]);
	exit(1);
    }
    asccharwid = jfmfi->ch[0].tfmw;
    an_ratio = divsp(asccharwid, nttcharwid);

    vfdir = (ac > 6) ? av[6] : "";
    sprintf(name, "%s%s.vf", vfdir, ascfont);
    if ((vf = fopen(name, "wb")) == NULL) {
	fprintf(stderr, "cannot write %s\n", name);
	exit(1);
    }
    ascvf();
    fclose(vf);

    exit(0);
}

#define	makejis(k,t)	((k+0x20)*256+t+0x20)

ascvf()
{
    int ku, ten;
    long len;
    int i;

    putuint(vf, VF_PRE, 1);
    putuint(vf, VF_ID, 1);
    putuint(vf, 0, 1);	/* no comment */
    putbytes(vf, header, 2*4);	/* check sum & design size */

    putuint(vf, FNT_DEF1, 1);
    putuint(vf, 1, 1);
    putuint(vf, 0, 4);
    putuint(vf, an_ratio, 4);
    putuint(vf, vfds, 4);
    putuint(vf, 0, 1);
    putuint(vf, strlen(nttfont), 1);
    putbytes(vf, nttfont, strlen(nttfont));

    vfchar0();
    for (ku = 1; ku <= lastku; ku++)
	for (ten = 1; ten <= 94; ten++)
	    vfchar(makejis(ku, ten));

    len = ftell(vf);
    for (i = 0; i < 4 - len%4; i++)
	putuint(vf, VF_POST, 1);
}

vfchar0()
{
    int pl;
    int ct;

    pl = 3;	/* SET2 jis */
    
    putuint(vf, VF_LONG_CHAR, 1);
    putuint(vf, pl, 4);
    putuint(vf, 0, 4);	/* char 0 */
    putuint(vf, jfmfi->ch[0].tfmw, 4);
    putuint(vf, SET2, 1);
    putuint(vf, 0x2121, 2);
}

vfchar(jis)
int jis;
{
    int pl;
    int ct, gl, n;
    struct specchar *sd;
    byte b[sizeof(int)];

    if ((ct = getctype(jis, jfmfi)) == 0)
	return;
    pl = 3;	/* SET2 jis */
    gl = 0;
    for (sd = scdata; sd->ct != 0; sd++)
	if (sd->ct == ct)
	    gl = sd->gl;
    if (gl != 0) {
	n = inttob(b, -gl, TRUE);
	pl += 1+n;
    }
    
    putuint(vf, VF_LONG_CHAR, 1);
    putuint(vf, pl, 4);
    putuint(vf, jis, 4);
    putuint(vf, jfmfi->ch[ct].tfmw, 4);
    if (gl != 0) {
	putuint(vf, RIGHT1+n-1, 1);
	putbytes(vf, b, n);
    }
    putuint(vf, SET2, 1);
    putuint(vf, jis, 2);
}
