#include	<stdio.h>
#include	"defs.h"
#include	"rastfont.h"
#include	"pkfont.h"

struct rastinitfontinfo pkifi;
struct font_entry pkfe;

BOOLEAN mirror[MAXCHAR+1];

#define	TFMW		959887

main(ac, av)
int ac;
char *av[];
{
    int i;
    FILE *vpk;

    for (i = 0; i <= MAXCHAR; i++)
	pkifi.mark[i] = FALSE;
    pkifi.maxc = MAXCHAR;
    rastinifinfo((&pkfe)) = &pkifi;
    read_vchar(av[1]);
    strcpy(pkfe.name, av[2]);
    read_pk_fontinfo(&pkfe, FALSE);

    if ((vpk = fopen(av[3], "wb")) == NULL) {
	fprintf(stderr, "cannot write %s\n", av[3]);
	exit(1);
    }
    pkpre(&pkfe, vpk);
    pkchars(&pkfe, vpk);
    pkpost(vpk);

    exit(0);
}

#define	LEN	256

read_vchar(fn)
char *fn;
{
    FILE *cf;
    char buf[LEN], *p;
    int i;
    int f, c;

    if ((cf = fopen(fn, "r")) == NULL) {
	fprintf(stderr, "cannot read %s\n", fn);
	exit(1);
    }
    for (i = 0; i <= MAXCHAR; i++)
	mirror[i] = FALSE;
    for (; fgets(buf, LEN, cf) != NULL; ) {
	compute_fc((buf[0]&0x7f)-0x20, (buf[1]&0x7f)-0x20, &f, &c);
	if (f != 1) {
	    fprintf(stderr, "%c%c is not a symbol\n", buf[0], buf[1]);
	    continue;
	}
	if (c > MAXCHAR) {
	    fprintf(stderr, "%c%c out of range\n", buf[0], buf[1]);
	    continue;
	}
	pkifi.mark[c] = TRUE;
	if (strlen(buf) > 4)
	    mirror[c] = TRUE;
    }
}

pkchars(fe, pk)
struct font_entry *fe;
FILE *pk;
{
    struct rastfntinfo *rfi;
    struct rastchar_entry *ce;
    int i;

    rfi = rastfinfo(fe);
    init_pkrast();
    for (i = 0, ce = rfi->ch; i < rfi->nfntchars; i++, ce++)
	if (ce->where.pixptr != NULL)
	    pkchar(pk, i, ce);
}

pkpre(fe, pk)
struct font_entry *fe;
FILE *pk;
{
    putuint(pk, PK_PRE, 1);
    putuint(pk, PK_ID, 1);
    putuint(pk, 0, 1);	/* no comment */
    putuint(pk, fe->d, 4);
    putuint(pk, fe->c, 4);	/* check sum */
    putuint(pk, rastfinfo(fe)->vppp, 4);	/* hppp */
    putuint(pk, rastfinfo(fe)->hppp, 4);	/* vppp */
}

pkpost(pk)
FILE *pk;
{
    long len;
    int i;

    putuint(pk, PK_POST, 1);
    len = ftell(pk);
    for (i = 0; i < 4 - len%4; i++)
	putuint(pk, PK_NO_OP, 1);
}

unsigned char *pkrast, *pkr;
int pkr_size;
int pkr_len, pkr_width, pkr_height;

init_pkrast()
{
    pkr_size = 128;
    pkrast = (unsigned char *)malloc(pkr_size);
}

pkchar(pk, cc, ce)
FILE *pk;
int cc;
struct rastchar_entry *ce;
{
    int pl, hoff, voff, n;
    byte b[sizeof(int)];

    rotate(ce->bitmap, ce->width, ce->nbpl, ce->height, mirror[cc]);
    pl = 3+5+pkr_len;
    if (pl/256 > 3) {
	fprintf(stderr, "char format %d %s\n", cc, pkfe.name);
	return;
    }
    putuint(pk, 0xe0+pl/256, 1);
    putuint(pk, pl%256, 1);
    putuint(pk, cc, 1);
    putuint(pk, TFMW, 3);
    putuint(pk, 0, 1);		/* dm */
    putuint(pk, pkr_width, 1);	/* w */
    putuint(pk, pkr_height, 1);	/* h */
    hoff = pkr_width-ce->yoffset;
    n = inttob(b, hoff, TRUE);
    if (n != 1) {
	fprintf(stderr, "hoff %d %d\n", hoff, n);
	exit(1);
    }
    putbytes(pk, b, n);	/* hoff */
    voff = ce->xoffset;
    n = inttob(b, voff, TRUE);
    if (n != 1) {
	fprintf(stderr, "voff %d %d\n", voff, n);
	exit(1);
    }
    putbytes(pk, b, n);	/* voff */
    putbytes(pk, pkrast, pkr_len);
}

#define	BL	8

unsigned char remp;
int remb;

rotate(bm, w, bw, h, mirror)
char *bm;
int w, bw, h;
BOOLEAN mirror;
{
    int i, j;
    int n, b;

    pkr_len = (w*h+7)>>3;
    if (pkr_len > pkr_size) {
	pkr_size = pkr_len;
	pkrast = (unsigned char *)realloc(pkrast, pkr_size);
    }
    pkr = pkrast;
    remp = 0;
    remb = 0;
    if (mirror) 
	for (i = 0; i < w; i++) {
	    n = i/8;
	    b = i%8;
	    for (j = 0; j <= h-1; j++)
		cvr(((*(unsigned char *)(bm+j*bw+n))>>(7-b))&1, 1);
	}
    else
	for (i = 0; i < w; i++) {
	    n = i/8;
	    b = i%8;
	    for (j = h-1; j >= 0; --j)
		cvr(((*(unsigned char *)(bm+j*bw+n))>>(7-b))&1, 1);
	}
    pkr_width = h;
    pkr_height = w;
    cvrend();
    if (pkr_len != pkr-pkrast)
	fprintf(stderr, "pkr_len %d diff %d\n", pkr_len, pkr-pkrast);
}

cvr(p, m)
unsigned char p;
int m;
{
    if (remb+m < BL) {
	remb += m;
	remp |= p<<(BL-remb);
    } else {
	remb = remb+m-BL;
	remp |= p>>remb;
	*pkr++ = remp;
	remp = p<<(BL-remb);
    }
}

cvrend()
{
    if (remb > 0)
	*pkr++ = remp;
}
