/*
 * Copyright (C) 2007 Keith Stribley
 * 
 * Distributable under the terms of either the Common Public License or the
 * GNU Lesser General Public License, as specified in the LICENSING.txt file.
 *
 */

package org.sil.graphite.swing;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;

import javax.swing.JTextPane;


/**
 *
 * @author keith
 */
public class GrTextPane extends JTextPane
{
  /**
     * 
     */
    private static final long serialVersionUID = -3336880275113093434L;
boolean doOnce = false; 
  /** Creates a new instance of GraphiteTextPane */
  public GrTextPane()
  {
  }


/* (non-Javadoc)
 * @see javax.swing.JComponent#paintChildren(java.awt.Graphics)
 */
@Override
protected void paintChildren(Graphics g)
{
    Graphics2D g2d = (Graphics2D)g;
    PaintHelper.preparePaint(this, g2d, ui);
    super.paintChildren(g);
}

/* (non-Javadoc)
 * @see javax.swing.JComponent#repaint(java.awt.Rectangle)
 */
@Override
public void repaint(Rectangle r)
{
    super.repaint(r);
}

/* (non-Javadoc)
 * @see javax.swing.JComponent#paintComponent(java.awt.Graphics)
 */
@Override
protected void paintComponent(Graphics g)
{
    Graphics2D g2d = (Graphics2D)g;
    PaintHelper.preparePaint(this, g2d, ui);
    super.paintComponent(g);
}

public void paint(Graphics graphics)
  {
    Graphics2D g2d = (Graphics2D)graphics;
    PaintHelper.preparePaint(this, g2d, ui);
    super.paint(graphics);
  }
  
}
