#!/usr/bin/perl

# agl2c.pl -- convert Adobe glyphlist.txt to C source for xdvipdfmx;
# this allows us to have the standard list compiled into the binary,
# and so the user doesn't have to install glyphlist.txt separately.

# usage:
#
#   agl2c.pl < glyphlist.txt > agl_standard.c
#
# where glyphlist.txt is the standard list available from
# http://partners.adobe.com/public/developer/en/opentype/glyphlist.txt

print << "__EOT__";
#include "agl.h"

char* agl_standard_names[] = {
__EOT__

while (<>) {
	s/ *[\r\n]+$//;
	s/\#.*//;
	next if $_ eq '';
	($name, $unicodes) = split(/;/);
	next unless defined $name and defined $unicodes;
	print "  \"$name;$unicodes\",\n";
}

print << "__EOT__";
  "" /* terminator */
};
__EOT__
